!ABCIncludeFile

 OMIT('_EndOfInclude_',_BL2ClassPresent_)     ! Omit this if already compiled
!-----------------------------------------------------------------------------!
! J&S BitList 2 Class Build 1.9901
! Class Declaration
! Copyright (c) 2000 by J&S Software Co. (jeff@jssoftware.com)
!-----------------------------------------------------------------------------!
! The in-column tagging method as well as the icons have been
! borrowed (with permission) from Mike Hanson's SuperTagging templates.
!-----------------------------------------------------------------------------!
!The contents of this file are subject to the CoveComm Inc. Developers Open 
!Source Public License Version 1.0 (the "License"); you may not use this 
!product except in compliance with the License. You may obtain a copy of 
!the License at http://www.clarionmag.com/common/dosl.html. Software 
!distributed under the License is distributed on an "AS IS" basis, WITHOUT 
!WARRANTY OF ANY KIND, either express or implied. See the License for the 
!specific language governing rights and limitations under the License. 
!The Original Code is Copyright (c) by J&S Software Co., released
!June 28, 1999. The Initial Developer of the Original Code is Jeff Slarve. 
!-----------------------------------------------------------------------------!
! Synopsis
!
! A quick and easy interface to the "bits" available within integers.
! Allows the developer to quickly label each bit and present it to the user
! in the form of a psuedo "check box" instead of declaring a BYTE variable
! and populating a CHECK control for each switch.
!
! The number of records displayed in the listbox are dictated by two things:
!    1. The StartingBit
!    2. The number of items passed in the PARMS parameter of the INIT() method.
!
!-----------------------------------------------------------------------------!

_BL2ClassPresent_ Equate(1)

 Include('ABWindow.inc')

ParmQ2     Queue,Type  !ParmQ
D            String(1) !Dummy
Icon         short
Desc         String(60)
SortDesc     String(60)
Bit          Byte
BitMap       ANY
SaveBitMap   Long
           end
BLMutex    ITEMIZE,PRE(BLMutex)
Exclusive    EQUATE(1) !Mutually Exclusive (Radio Buttons)
AllowClear   EQUATE(2) !Only applies to Exclusive
On           EQUATE(4) !Turns both On
ParentOnReq  EQUATE(8) !Only applies to "On". Means that the "parent" requires the "child" to be "On".
Off          EQUATE(16)!Turns both Off
ParentOffReq EQUATE(32)!Only applies to "Off". Means that the "parent" requires the "child" to be "Off".
           end
MutexRowQ  Queue,Type
Row          Long
Type         Byte
           end        
MutexQ     Queue,Type
Row          Long
RowQ         &MutexRowQ
           end
BL2Class    Class,Type,Module('Bitlist2.clw'),LINK('Bitlist2.clw',_ABCLinkMode_),DLL(_ABCDllMode_)
AddItem      Procedure(*? BitMap,String Parms,Byte StartBit=0)
AddMutEx     Procedure(Long Line1,Long Line2,Byte Type=BLMutex:Exclusive,Byte Mutual=True)
CheckBit     Procedure(Long Line),Byte
CheckBitStr  Procedure(String Desc,Byte Verbose=True),Byte
CheckMutEx   Procedure
Construct    Procedure
Destruct     Procedure
FetchMutexRow Procedure(Long Line),Private
FetchRowQRow Procedure(Long Line),Private
FlipBit      Procedure(Long Line,Byte CheckMutex=True)
FlipAll      Procedure
HasMutex     Procedure,Byte    
Init         Procedure(Short FEQ,Byte ReadOnly_=False,Byte AllowCopy=True)
Init         Procedure(Short FEQ,Byte ReadOnly_=False,Byte AllowCopy=True,WindowManager WM)
Kill         Procedure
MarkAll      Procedure
ReadBits     Procedure
Records      Procedure,Long
SetClipBoard Procedure
SetReadOnly  Procedure(Byte ReadOnly_=True)
TakeEvent    Procedure,Byte
UnMarkAll    Procedure
Parms        &String
AllowCopy    Byte                                     !A property that can be set to TRUE to allow user to copy selected label to the clipboard
BitString    String(100)
BlankBit     String(1)
!Records      Long
FEQ          Short,Private
MutExQ       &MutExQ,Private
ParmQ        &ParmQ2,Private
ReadOnly_    Byte,Private
WM           &WindowManager
           end

 _EndOfInclude_