#TEMPLATE(TemplateTools,'Template Writing Tools'),FAMILY('ABC')
#!***************************************************************************************************
#CODE(Template_Symbols,'Built-in Template Symbols')
#!***************************************************************************************************
#SHEET,AT(,,160)
    #TAB('%Application')
        #BOXED('Symbol Hierarchy Overview'),AT(,,150)
            #PROMPT('%Application', CHECK),%SymbolsDependentOnApplication,AT(12,30)
                #PROMPT('%ApplicationTemplate', CHECK),%SymbolsDependentOnApplicationTemplate,AT(22)
                    #PROMPT('%ApplicationTemplateInstance', CHECK),%SymbolsDependentOnApplicationTemplateInstance,AT(32)
                #PROMPT('%File', CHECK),%SymbolsDependentOnFile,AT(22)
                #PROMPT('%GlobalData', CHECK),%SymbolsDependentOnGlobalData,AT(22)
                #PROMPT('%Module', CHECK),%SymbolsDependentOnModule,AT(22)
                    #PROMPT('%ModuleProcedure', CHECK),%SymbolsDependentOnModuleProcedure,AT(32)
                    #PROMPT('%ModuleData', CHECK),%SymbolsDependentOnModuleData,AT(32)
                #PROMPT('%Procedure', CHECK),%SymbolsDependentOnProcedure,AT(22)
                #PROMPT('%Driver', CHECK),%SymbolsDependentOnDriver,AT(22)
                    #PROMPT('%DriverType', CHECK),%SymbolsDependentOnDriverType,AT(32)
                    #PROMPT('%DriverOpcode', CHECK),%SymbolsDependentOnDriverOpcode,AT(32)
                #PROMPT('Miscellaneous Symbols', CHECK),%MiscellaneousSymbols,AT(22)
        #ENDBOXED
    #ENDTAB
    #TAB('%File')
        #BOXED('Sub View of %File'),AT(,,150)
            #PROMPT('%ViewPrimaryFields', CHECK),%SymbolsDependentOnViewPrimaryFields,AT(12,30)
            #PROMPT('%ViewFiles', CHECK),%SymbolsDependentOnViewFiles,AT(12)
                #PROMPT('%ViewFileFields', CHECK),%SymbolsDependentOnViewFileFields,AT(22)
            #PROMPT('%Key', CHECK),%SymbolsDependentOnKey,AT(22)
                #PROMPT('%KeyField', CHECK),%SymbolsDependentOnKeyField,AT(22)
            #PROMPT('%KeyOrder', CHECK),%SymbolsDependentOnKeyOrder,AT(12)  #!????
            #PROMPT('%Relation', CHECK),%SymbolsDependentOnRelation,AT(12)
                #PROMPT('%RelationKeyField', CHECK),%SymbolsDependentOnRelationKeyField,AT(22)
                #PROMPT('%FileKeyField', CHECK),%SymbolsDependentOnFileKeyField,AT(22)
            #PROMPT('%Field', CHECK),%SymbolsDependentOnField,AT(12)
                #PROMPT('%FieldScreenControl', CHECK),%SymbolsDependentOnFieldScreenControl,AT(22)
                #PROMPT('%FieldReportControl', CHECK),%SymbolsDependentOnFieldReportControl,AT(22)
                #PROMPT('%FieldChoices', CHECK),%SymbolsDependentOnFieldChoices,AT(22)
                #PROMPT('%FieldValues', CHECK),%SymbolsDependentOnFieldValues,AT(22)
                #PROMPT('%FieldDisplayChoices', CHECK),%SymbolsDependentOnFieldDisplayChoices,AT(22)
        #ENDBOXED
    #ENDTAB
    #TAB('%Procedure')
        #BOXED('Sub View of %Procedure'),AT(,,150)
            #PROMPT('%Primary<>%Null', CHECK),%SymbolsDependentOnPrimary,AT(12,30)
                #PROMPT('%Secondary', CHECK),%SymbolsDependentOnSecondary,AT(22)
            #PROMPT('%ProcedureCalled', CHECK),%SymbolsDependentOnProcedureCalled,AT(12)
            #PROMPT('%LocalData', CHECK),%SymbolsDependentOnLocalData,AT(12)
            #PROMPT('%ActiveTemplate', CHECK),%SymbolsDependentOnActiveTemplate,AT(12)
                #PROMPT('%ActiveTemplateInstance', CHECK),%SymbolsDependentOnActiveTemplateInstance,AT(22)
            #PROMPT('%OtherFiles', CHECK),%SymbolsDependentOnOtherFiles,AT(12)
            #PROMPT('%Window', CHECK),%SymbolsDependentOnWindow,AT(12)
                #PROMPT('%Control', CHECK),%SymbolsDependentOnControl,AT(22)
                    #PROMPT('%ControlAlert', CHECK),%SymbolsDependentOnControlAlert,AT(32)
                    #PROMPT('%ControlEvent', CHECK),%SymbolsDependentOnControlEvent,AT(32)
                    #PROMPT('%ControlField', CHECK),%SymbolsDependentOnControlField,AT(32)
            #PROMPT('%Formula', CHECK),%SymbolsDependentOnFormula,AT(22)
                #PROMPT('%FormulaExpression', CHECK),%SymbolsDependentOnFormulaExpression,AT(32)
            #PROMPT('%Report', CHECK),%SymbolsDependentOnReport,AT(22)
                #PROMPT('%ReportControl', CHECK),%SymbolsDependentOnReportControl,AT(32)
                    #PROMPT('%ReportControlField', CHECK),%SymbolsDependentOnReportControlField,AT(42)
        #ENDBOXED
    #ENDTAB
#ENDSHEET
#BUTTON('Open Source'),AT(210,58,50,14)
    #Display('The contents of this file are subject to the')
    #DISPLAY('CoveComm Inc. Developers Open Source Public')
    #DISPLAY('License Version 1.0 (the "License"); you may')
    #DISPLAY('not use this product except in compliance with')
    #DISPLAY('the License. You may obtain a copy of the License')
    #DISPLAY('at http://www.clarionmag. com/common/dosl.html.')
    #DISPLAY('Software distributed under the License is')
    #DISPLAY('distributed on an "AS IS" basis, WITHOUT WARRANTY')
    #DISPLAY('OF ANY KIND, either express or implied. See the')
    #DISPLAY('License for the specific language governing rights')
    #DISPLAY('and limitations under the License. The Original Code')
    #DISPLAY('is copyright by Steffen S. Rasmussen, released July 31,')
    #DISPLAY('2002. The Initial Developer of the Original Code is')
    #DISPLAY('Steffen S. Rasmussen. All Rights Reserved.')
    #BUTTON('Modifications')
        #DISPLAY('')
    #ENDBUTTON
#ENDBUTTON
#PROMPT('#FOR',OPTION),%FOROption,CHOICE,AT(180,85,80,40)
#PROMPT('Include Selected',RADIO),AT(187,95)
#PROMPT('Include All',RADIO),AT(187)
#PROMPT('Exclude All',RADIO),AT(187)
#COMMENT(80)
#IF(%FOROption=1)
    #IF(%Application<>%Null)
        #IF(%SymbolsDependentOnApplication=1)
!----- Symbols Dependent on %%Application [1]-----!
            #CALL(%GroupApplication)
        #ENDIF
        #IF(%SymbolsDependentOnApplicationTemplate=1)
            #FOR(%ApplicationTemplate)
!----- Symbols Dependent on %%ApplicationTemplate [1:%(INSTANCE(%ApplicationTemplate))] -----!
                #CALL(%GroupApplicationTemplate)
                #IF(%SymbolsDependentOnApplicationTemplateInstance=1)
                    #FOR(%ApplicationTemplateInstance)
!----- Symbols Dependent on %%ApplicationTemplateInstance [1:%(INSTANCE(%ApplicationTemplate)):%(INSTANCE(%ApplicationTemplateInstance))] -----!
                        #CALL(%GroupApplicationTemplateInstance)
                    #ENDFOR
                #ENDIF
            #ENDFOR
        #ELSE
            #IF(%SymbolsDependentOnApplicationTemplateInstance=1)
                #FOR(%ApplicationTemplateInstance)
!----- Symbols Dependent on %%ApplicationTemplateInstance [%(INSTANCE(%ApplicationTemplateInstance))] -----!
                    #CALL(%GroupApplicationTemplateInstance)
                #ENDFOR
            #ENDIF
        #ENDIF
        #IF(%SymbolsDependentOnFile=1)
            #FOR(%File)
!----- Symbols Dependent on %%File [1:%(INSTANCE(%File))] -----!
                #CALL(%GroupFile)
                #IF(%SymbolsDependentOnViewPrimaryFields=1)
                    #FOR(%ViewPrimaryFields)
!----- Symbols Dependent on %%ViewPrimaryFields [1:%(INSTANCE(%File)):%(INSTANCE(%ViewPrimaryFields))] -----!
                        #CALL(%GroupViewPrimaryFields)
                    #ENDFOR
                #ENDIF
                #IF(%SymbolsDependentOnViewFiles=1)
                    #FOR(%ViewFiles)
!----- Symbols Dependent on %%ViewFiles [1:%(INSTANCE(%File)):%(INSTANCE(%ViewFiles))] -----!
                        #CALL(%GroupViewFiles)
                        #IF(%SymbolsDependentOnViewFileFields=1)
                            #FOR(%ViewFileFields)
!----- Symbols Dependent on %%ViewFileFields [1:%(INSTANCE(%File)):%(INSTANCE(%ViewFiles)):%(INSTANCE(%ViewFileFields))] -----!
                                #CALL(%GroupViewFileFields)
                            #ENDFOR
                        #ENDIF
                    #ENDFOR
                #ELSE
                    #IF(%SymbolsDependentOnViewFileFields=1)
                        #FOR(%ViewFileFields)
!----- Symbols Dependent on %%ViewFileFields [%(INSTANCE(%ViewFileFields))] -----!
                            #CALL(%GroupViewFileFields)
                        #ENDFOR
                    #ENDIF
                #ENDIF
                #IF(%SymbolsDependentOnKey=1)
                    #FOR(%Key)
!----- Symbols Dependent on %%Key [1:%(INSTANCE(%File)):%(INSTANCE(%Key))] -----!
                        #CALL(%GroupKey)
                        #IF(%SymbolsDependentOnKeyField=1)
                            #FOR(%KeyField)
!----- Symbols Dependent on %%KeyField [1:%(INSTANCE(%File)):%(INSTANCE(%Key)):%(INSTANCE(%KeyField))] -----!
                                #CALL(%GroupKeyField)
                            #ENDFOR
                        #ENDIF
                    #ENDFOR
                #ELSE
                    #IF(%SymbolsDependentOnKeyField=1)
                        #FOR(%KeyField)
!----- Symbols Dependent on %%KeyField [%(INSTANCE(%KeyField))] -----!
                            #CALL(%GroupKeyField)
                        #ENDFOR
                    #ENDIF
                #ENDIF
                #IF(%SymbolsDependentOnKeyOrder=1)
                    #FOR(%KeyOrder)  #!????
!----- Symbols Dependent on %%KeyOrder [1:%(INSTANCE(%File)):%(INSTANCE(%KeyOrder))] -----!
                        #CALL(%GroupKeyOrder)
                    #ENDFOR
                #ENDIF
                #IF(%SymbolsDependentOnRelation=1)
                    #FOR(%Relation)
!----- Symbols Dependent on %%Relation [1:%(INSTANCE(%File)):%(INSTANCE(%Relation))] -----!
                        #CALL(%GroupRelation)
                        #IF(%SymbolsDependentOnRelationKeyField=1)
                            #FOR(%RelationKeyField)
!----- Symbols Dependent on %%RelationKeyField [1:%(INSTANCE(%File)):%(INSTANCE(%Relation)):%(INSTANCE(%RelationKeyField))] -----!
                                #CALL(%GroupRelationKeyField)
                            #ENDFOR
                        #ENDIF
                        #IF(%SymbolsDependentOnFileKeyField=1)
                            #FOR(%FileKeyField)
!----- Symbols Dependent on %%FileKeyField [1:%(INSTANCE(%File)):%(INSTANCE(%Relation)):%(INSTANCE(%FileKeyField))] -----!
                                #CALL(%GroupFileKeyField)
                            #ENDFOR
                        #ENDIF
                    #ENDFOR
                #ELSE
                    #IF(%SymbolsDependentOnRelationKeyField=1)
                        #FOR(%RelationKeyField)
!----- Symbols Dependent on %%RelationKeyField [%(INSTANCE(%RelationKeyField))] -----!
                            #CALL(%GroupRelationKeyField)
                        #ENDFOR
                    #ENDIF
                    #IF(%SymbolsDependentOnFileKeyField=1)
                        #FOR(%FileKeyField)
!----- Symbols Dependent on %%FileKeyField [%(INSTANCE(%FileKeyField))] -----!
                            #CALL(%GroupFileKeyField)
                        #ENDFOR
                    #ENDIF
                #ENDIF
                #IF(%SymbolsDependentOnField=1)
                    #FOR(%Field)
!----- Symbols Dependent on %%Field [1:%(INSTANCE(%File)):%(INSTANCE(%Field))] -----!
                        #CALL(%GroupField)
                        #IF(%SymbolsDependentOnFieldScreenControl=1)
                            #FOR(%FieldScreenControl)
!----- Symbols Dependent on %%FieldScreenControl [1:%(INSTANCE(%File)):%(INSTANCE(%Field)):%(INSTANCE(%FieldScreenControl))] -----!
                                #CALL(%GroupFieldScreenControl)
                            #ENDFOR
                        #ENDIF
                        #IF(%SymbolsDependentOnFieldReportControl=1)
                            #FOR(%FieldReportControl)
!----- Symbols Dependent on %%FieldReportControl [1:%(INSTANCE(%File)):%(INSTANCE(%Field)):%(INSTANCE(%FieldReportControl))] -----!
                                #CALL(%GroupFieldReportControl)
                            #ENDFOR
                        #ENDIF
                        #IF(%SymbolsDependentOnFieldChoices=1)
                            #FOR(%FieldChoices)
!----- Symbols Dependent on %%FieldChoices [1:%(INSTANCE(%File)):%(INSTANCE(%Field)):%(INSTANCE(%FieldChoices))] -----!
                                #CALL(%GroupFieldChoices)
                            #ENDFOR
                        #ENDIF
                        #IF(%SymbolsDependentOnFieldValues=1)
                            #FOR(%FieldValues)
!----- Symbols Dependent on %%FieldValues [1:%(INSTANCE(%File)):%(INSTANCE(%Field)):%(INSTANCE(%FieldValues))] -----!
                                #CALL(%GroupFieldValues)
                            #ENDFOR
                        #ENDIF

                        #IF(%SymbolsDependentOnFieldDisplayChoices=1)
                            #IF(%FieldValidation='INLIST')
                                #!FOR(%FieldDisplayChoices),WHERE(%FieldDisplayChoices)
#!----- Symbols Dependent on %%FieldDisplayChoices [1:%(INSTANCE(%File)):%(INSTANCE(%Field)):%(INSTANCE(%FieldDisplayChoices))] -----!
                                    #!CALL(%GroupFieldDisplayChoices)
                                #!ENDFOR
                            #ENDIF
                        #ENDIF

                    #ENDFOR
                #ELSE
                    #IF(%SymbolsDependentOnFieldScreenControl=1)
                        #FOR(%FieldScreenControl)
!----- Symbols Dependent on %%FieldScreenControl [%(INSTANCE(%FieldScreenControl))] -----!
                            #CALL(%GroupFieldScreenControl)
                        #ENDFOR
                    #ENDIF
                    #IF(%SymbolsDependentOnFieldReportControl=1)
                        #FOR(%FieldReportControl)
!----- Symbols Dependent on %%FieldReportControl [%(INSTANCE(%FieldReportControl))] -----!
                            #CALL(%GroupFieldReportControl)
                        #ENDFOR
                    #ENDIF
                    #IF(%SymbolsDependentOnFieldChoices=1)
                        #FOR(%FieldChoices)
!----- Symbols Dependent on %%FieldChoices [%(INSTANCE(%FieldChoices))] -----!
                            #CALL(%GroupFieldChoices)
                        #ENDFOR
                    #ENDIF
                    #IF(%SymbolsDependentOnFieldValues=1)
                        #FOR(%FieldValues)
!----- Symbols Dependent on %%FieldValues [%(INSTANCE(%FieldValues))] -----!
                            #CALL(%GroupFieldValues)
                        #ENDFOR
                    #ENDIF
                    #IF(%SymbolsDependentOnFieldDisplayChoices=1)
                        #IF(%FieldValidation='INLIST')
                            #!FOR(%FieldDisplayChoices)
#!----- Symbols Dependent on %%FieldDisplayChoices [%(INSTANCE(%FieldDisplayChoices))] -----!
                                #!CALL(%GroupFieldDisplayChoices)
                            #!ENDFOR
                        #ENDIF
                    #ENDIF
                #ENDIF
            #ENDFOR
        #ELSE
            #IF(%SymbolsDependentOnViewPrimaryFields=1)
                #FOR(%ViewPrimaryFields)
!----- Symbols Dependent on %%ViewPrimaryFields [%(INSTANCE(%ViewPrimaryFields))] -----!
                    #CALL(%GroupViewPrimaryFields)
                #ENDFOR
            #ENDIF
            #IF(%SymbolsDependentOnViewFiles=1)
                #FOR(%ViewFiles)
!----- Symbols Dependent on %%ViewFiles [%(INSTANCE(%ViewFiles))] -----!
                    #CALL(%GroupViewFiles)
                    #IF(%SymbolsDependentOnViewFileFields=1)
                        #FOR(%ViewFileFields)
!----- Symbols Dependent on %%ViewFileFields [%(INSTANCE(%ViewFiles)):%(INSTANCE(%ViewFileFields))] -----!
                            #CALL(%GroupViewFileFields)
                        #ENDFOR
                    #ENDIF
                #ENDFOR
            #ELSE
                #IF(%SymbolsDependentOnViewFileFields=1)
                    #FOR(%ViewFileFields)
!----- Symbols Dependent on %%ViewFileFields [%(INSTANCE(%ViewFileFields))] -----!
                        #CALL(%GroupViewFileFields)
                    #ENDFOR
                #ENDIF
            #ENDIF
            #IF(%SymbolsDependentOnKey=1)
                #FOR(%Key)
!----- Symbols Dependent on %%Key [%(INSTANCE(%Key))] -----!
                    #CALL(%GroupKey)
                    #IF(%SymbolsDependentOnKeyField=1)
                        #FOR(%KeyField)
!----- Symbols Dependent on %%KeyField [%(INSTANCE(%Key)):%(INSTANCE(%KeyField))] -----!
                            #CALL(%GroupKeyField)
                        #ENDFOR
                    #ENDIF
                #ENDFOR
            #ELSE
                #IF(%SymbolsDependentOnKeyField=1)
                    #FOR(%KeyField)
!----- Symbols Dependent on %%KeyField [%(INSTANCE(%KeyField))] -----!
                        #CALL(%GroupKeyField)
                    #ENDFOR
                #ENDIF
            #ENDIF
            #IF(%SymbolsDependentOnKeyOrder=1)
                #FOR(%KeyOrder)  #!????
!----- Symbols Dependent on %%KeyOrder [%(INSTANCE(%KeyOrder))] -----!
                    #CALL(%GroupKeyOrder)
                #ENDFOR
            #ENDIF
            #IF(%SymbolsDependentOnRelation=1)
                #FOR(%Relation)
!----- Symbols Dependent on %%Relation [%(INSTANCE(%Relation))] -----!
                    #CALL(%GroupRelation)
                    #IF(%SymbolsDependentOnRelationKeyField=1)
                        #FOR(%RelationKeyField)
!----- Symbols Dependent on %%RelationKeyField [%(INSTANCE(%Relation)):%(INSTANCE(%RelationKeyField))] -----!
                            #CALL(%GroupRelationKeyField)
                        #ENDFOR
                    #ENDIF
                    #IF(%SymbolsDependentOnFileKeyField=1)
                        #FOR(%FileKeyField)
!----- Symbols Dependent on %%FileKeyField [%(INSTANCE(%Relation)):%(INSTANCE(%FileKeyField))] -----!
                            #CALL(%GroupFileKeyField)
                        #ENDFOR
                    #ENDIF
                #ENDFOR
            #ELSE
                #IF(%SymbolsDependentOnRelationKeyField=1)
                    #FOR(%RelationKeyField)
!----- Symbols Dependent on %%RelationKeyField [%(INSTANCE(%RelationKeyField))] -----!
                        #CALL(%GroupRelationKeyField)
                    #ENDFOR
                #ENDIF
                #IF(%SymbolsDependentOnFileKeyField=1)
                    #FOR(%FileKeyField)
!----- Symbols Dependent on %%FileKeyField [%(INSTANCE(%FileKeyField))] -----!
                        #CALL(%GroupFileKeyField)
                    #ENDFOR
                #ENDIF
            #ENDIF
            #IF(%SymbolsDependentOnField=1)
                #FOR(%Field)
!----- Symbols Dependent on %%Field [%(INSTANCE(%Field))] -----!
                    #CALL(%GroupField)
                    #IF(%SymbolsDependentOnFieldScreenControl=1)
                        #FOR(%FieldScreenControl)
!----- Symbols Dependent on %%FieldScreenControl [%(INSTANCE(%Field)):%(INSTANCE(%FieldScreenControl))] -----!
                            #CALL(%GroupFieldScreenControl)
                        #ENDFOR
                    #ENDIF
                    #IF(%SymbolsDependentOnFieldReportControl=1)
                        #FOR(%FieldReportControl)
!----- Symbols Dependent on %%FieldReportControl [%(INSTANCE(%Field)):%(INSTANCE(%FieldReportControl))] -----!
                            #CALL(%GroupFieldReportControl)
                        #ENDFOR
                    #ENDIF
                    #IF(%SymbolsDependentOnFieldChoices=1)
                        #FOR(%FieldChoices)
!----- Symbols Dependent on %%FieldChoices [%(INSTANCE(%Field)):%(INSTANCE(%FieldChoices))] -----!
                            #CALL(%GroupFieldChoices)
                        #ENDFOR
                    #ENDIF
                    #IF(%SymbolsDependentOnFieldValues=1)
                        #FOR(%FieldValues)
!----- Symbols Dependent on %%FieldValues [%(INSTANCE(%Field)):%(INSTANCE(%FieldValues))] -----!
                            #CALL(%GroupFieldValues)
                        #ENDFOR
                    #ENDIF
                    #IF(%SymbolsDependentOnFieldDisplayChoices=1)
                        #IF(%FieldValidation='INLIST')
                            #!FOR(%FieldDisplayChoices)
#!----- Symbols Dependent on %%FieldDisplayChoices [%(INSTANCE(%Field)):%(INSTANCE(%FieldDisplayChoices))] -----!
                                #!CALL(%GroupFieldDisplayChoices)
                            #!ENDFOR
                        #ENDIF
                    #ENDIF
                #ENDFOR
            #ELSE
                #IF(%SymbolsDependentOnFieldScreenControl=1)
                    #FOR(%FieldScreenControl)
!----- Symbols Dependent on %%FieldScreenControl [%(INSTANCE(%FieldScreenControl))] -----!
                        #CALL(%GroupFieldScreenControl)
                    #ENDFOR
                #ENDIF
                #IF(%SymbolsDependentOnFieldReportControl=1)
                    #FOR(%FieldReportControl)
!----- Symbols Dependent on %%FieldReportControl [%(INSTANCE(%FieldReportControl))] -----!
                        #CALL(%GroupFieldReportControl)
                    #ENDFOR
                #ENDIF
                #IF(%SymbolsDependentOnFieldChoices=1)
                    #FOR(%FieldChoices)
!----- Symbols Dependent on %%FieldChoices [%(INSTANCE(%FieldChoices))] -----!
                        #CALL(%GroupFieldChoices)
                    #ENDFOR
                #ENDIF
                #IF(%SymbolsDependentOnFieldValues=1)
                    #FOR(%FieldValues)
!----- Symbols Dependent on %%FieldValues [%(INSTANCE(%FieldValues))] -----!
                        #CALL(%GroupFieldValues)
                    #ENDFOR
                #ENDIF
                #IF(%SymbolsDependentOnFieldDisplayChoices=1)
                    #IF(%FieldValidation='INLIST')
                        #!FOR(%FieldDisplayChoices)
#!----- Symbols Dependent on %%FieldDisplayChoices [%(INSTANCE(%FieldDisplayChoices))] -----!
                            #!CALL(%GroupFieldDisplayChoices)
                        #!ENDFOR
                    #ENDIF
                #ENDIF
            #ENDIF
        #ENDIF
        #IF(%SymbolsDependentOnGlobalData=1)
            #FOR(%GlobalData)
!----- Symbols Dependent on %%GlobalData [1:%(INSTANCE(%GlobalData))] -----!
                    #CALL(%GroupGlobalData)
            #ENDFOR
        #ENDIF
        #IF(%SymbolsDependentOnModule=1)
            #FOR(%Module)
!----- Symbols Dependent on %%Module [1:%(INSTANCE(%Module))] -----!
                #CALL(%GroupModule)
                #IF(%SymbolsDependentOnModuleProcedure=1)
                    #FOR(%ModuleProcedure)
!----- Symbols Dependent on %%ModuleProcedure [1:%(INSTANCE(%Module)):%(INSTANCE(%ModuleProcedure))] -----!
                        #CALL(%GroupModuleProcedure)
                    #ENDFOR
                #ENDIF
                #IF(%SymbolsDependentOnModuleData=1)
                    #FOR(%ModuleData)
        !----- Symbols Dependent on %%ModuleData [1:%(INSTANCE(%Module)):%(INSTANCE(%ModuleData))] -----!
                        #CALL(%GroupModuleData)
                    #ENDFOR
                #ENDIF
            #ENDFOR
        #ELSE
            #IF(%SymbolsDependentOnModuleProcedure=1)
                #FOR(%ModuleProcedure)
!----- Symbols Dependent on %%ModuleProcedure [%(INSTANCE(%ModuleProcedure))] -----!
                    #CALL(%GroupModuleProcedure)
                #ENDFOR
            #ENDIF
            #IF(%SymbolsDependentOnModuleData=1)
                #FOR(%ModuleData)
!----- Symbols Dependent on %%ModuleData [%(INSTANCE(%ModuleData))] -----!
                    #CALL(%GroupModuleData)
                #ENDFOR
            #ENDIF
        #ENDIF
        #IF(%SymbolsDependentOnProcedure=1)
            #FOR(%Procedure)
!----- Symbols Dependent on %%Procedure [1:%(INSTANCE(%Procedure))] -----!
                #CALL(%GroupProcedure)
                #IF(%Primary<>%Null)
                    #IF(%SymbolsDependentOnPrimary=1)
!----- Symbols Dependent on %%Primary [1:%(INSTANCE(%Procedure)):%(INSTANCE(%Primary))] -----!
                        #CALL(%GroupPrimary)
                    #ENDIF
                    #IF(%SymbolsDependentOnSecondary=1)
                        #FOR(%Secondary)
!----- Symbols Dependent on %%Secondary [1:%(INSTANCE(%Procedure)):%(INSTANCE(%Primary)):%(INSTANCE(%Secondary))] -----!
                            #CALL(%GroupSecondary)
                        #ENDFOR
                    #ENDIF
                #ENDIF
                #IF(%SymbolsDependentOnProcedureCalled=1)
                    #FOR(%ProcedureCalled)
!----- Symbols Dependent on %%ProcedureCalled [1:%(INSTANCE(%Procedure)):%(INSTANCE(%ProcedureCalled))] -----!
                        #CALL(%GroupProcedureCalled)
                    #ENDFOR
                #ENDIF
                #IF(%SymbolsDependentOnLocalData=1)
                    #FOR(%LocalData)
!----- Symbols Dependent on %%LocalData [1:%(INSTANCE(%Procedure)):%(INSTANCE(%LocalData))] -----!
                        #CALL(%GroupLocalData)
                    #ENDFOR
                #ENDIF
                #IF(%SymbolsDependentOnActiveTemplate=1)
                    #FOR(%ActiveTemplate)
!----- Symbols Dependent on %%ActiveTemplate [1:%(INSTANCE(%Procedure)):%(INSTANCE(%ActiveTemplate))] -----!
                        #CALL(%GroupActiveTemplate)
                        #IF(%SymbolsDependentOnActiveTemplateInstance=1)
                            #FOR(%ActiveTemplateInstance)
!----- Symbols Dependent on %%ActiveTemplateInstance [1:%(INSTANCE(%Procedure)):%(INSTANCE(%ActiveTemplate)):%(INSTANCE(%ActiveTemplateInstance))] -----!
                                #CALL(%GroupActiveTemplateInstance)
                            #ENDFOR
                        #ENDIF
                    #ENDFOR
                #ELSE
                    #IF(%SymbolsDependentOnActiveTemplateInstance=1)
                        #FOR(%ActiveTemplateInstance)
!----- Symbols Dependent on %%ActiveTemplateInstance [%(INSTANCE(%ActiveTemplateInstance))] -----!
                            #CALL(%GroupActiveTemplateInstance)
                        #ENDFOR
                    #ENDIF
                #ENDIF
                #IF(%SymbolsDependentOnOtherFiles=1)
                    #FOR(%OtherFiles)
!----- Symbols Dependent on %%OtherFiles [1:%(INSTANCE(%Procedure)):%(INSTANCE(%OtherFiles))] -----!
                        #CALL(%GroupOtherFiles)
                    #ENDFOR
                #ENDIF
                #IF(%Window<>%Null)
                    #IF(%SymbolsDependentOnWindow=1)
!----- Symbols Dependent on %%Window [1:%(INSTANCE(%Procedure)):1] -----!
                        #CALL(%GroupWindow)
                    #ENDIF
                    #IF(%SymbolsDependentOnControl=1)
                        #FOR(%Control)
!----- Symbols Dependent on %%Control [1:%(INSTANCE(%Procedure)):1:%(INSTANCE(%Control))] -----!
                            #CALL(%GroupControl)
                            #IF(%SymbolsDependentOnControlAlert=1)
                                #FOR(%ControlAlert)
!----- Symbols Dependent on %%ControlAlert [1:%(INSTANCE(%Procedure)):1:%(INSTANCE(%Control)):%(INSTANCE(%ControlAlert))] -----!
                                    #CALL(%GroupControlAlert)
                                #ENDFOR
                            #ENDIF
                            #IF(%SymbolsDependentOnControlEvent=1)
                                #FOR(%ControlEvent)
!----- Symbols Dependent on %%ControlEvent [1:%(INSTANCE(%Procedure)):1:%(INSTANCE(%Control)):%(INSTANCE(%ControlEvent))] -----!
                                    #CALL(%GroupControlEvent)
                                #ENDFOR
                            #ENDIF
                            #IF(%SymbolsDependentOnControlField=1)
                                #FOR(%ControlField)
!----- Symbols Dependent on %%ControlField [1:%(INSTANCE(%Procedure)):1:%(INSTANCE(%Control)):%(INSTANCE(%ControlField))] -----!
                                    #CALL(%GroupControlField)
                                #ENDFOR
                            #ENDIF
                        #ENDFOR
                    #ELSE
                        #IF(%SymbolsDependentOnControlAlert=1)
                            #FOR(%ControlAlert)
!----- Symbols Dependent on %%ControlAlert [%(INSTANCE(%ControlAlert))] -----!
                                #CALL(%GroupControlAlert)
                            #ENDFOR
                        #ENDIF
                        #IF(%SymbolsDependentOnControlEvent=1)
                            #FOR(%ControlEvent)
!----- Symbols Dependent on %%ControlEvent [%(INSTANCE(%ControlEvent))] -----!
                                #CALL(%GroupControlEvent)
                            #ENDFOR
                        #ENDIF
                        #IF(%SymbolsDependentOnControlField=1)
                            #FOR(%ControlField)
!----- Symbols Dependent on %%ControlField [%(INSTANCE(%ControlField))] -----!
                                #CALL(%GroupControlField)
                            #ENDFOR
                        #ENDIF
                    #ENDIF
                #ENDIF
                #IF(%SymbolsDependentOnFormula=1)
                    #FOR(%Formula)
!----- Symbols Dependent on %%Formula [1:%(INSTANCE(%Procedure)):%(INSTANCE(%Formula))] -----!
                        #CALL(%GroupFormula)
                        #IF(%SymbolsDependentOnFormulaExpression=1)
                            #FOR(%FormulaExpression)
!----- Symbols Dependent on %%FormulaExpression [1:%(INSTANCE(%Procedure)):%(INSTANCE(%Formula)):%(INSTANCE(%FormulaExpression))] -----!
                                #CALL(%GroupFormulaExpression)
                            #ENDFOR
                        #ENDIF
                    #ENDFOR
                #ELSE
                    #IF(%SymbolsDependentOnFormulaExpression=1)
                        #FOR(%FormulaExpression)
!----- Symbols Dependent on %%FormulaExpression [%(INSTANCE(%FormulaExpression))] -----!
                            #CALL(%GroupFormulaExpression)
                        #ENDFOR
                    #ENDIF
                #ENDIF
                #IF(%Report<>%Null)
                    #IF(%SymbolsDependentOnReport=1)
!----- Symbols Dependent on %%Report [1:%(INSTANCE(%Procedure)):1] -----!
                        #CALL(%GroupReport)
                    #ENDIF
                    #IF(%SymbolsDependentOnReportControl=1)
                        #FOR(%ReportControl)
!----- Symbols Dependent on %%ReportControl [1:%(INSTANCE(%Procedure)):1:%(INSTANCE(%ReportControl))] -----!
                            #CALL(%GroupReportControl)
                            #IF(%SymbolsDependentOnReportControlField=1)
                                #FOR(%ReportControlField)
!----- Symbols Dependent on %ReportControlField [1:%(INSTANCE(%Procedure)):1:%(INSTANCE(%ReportControl)):%(INSTANCE(%ReportControlField))] -----!
                                    #CALL(%GroupReportControlField)
                                #ENDFOR
                            #ENDIF
                        #ENDFOR
                    #ELSE
                        #IF(%SymbolsDependentOnReportControlField=1)
                            #FOR(%ReportControlField)
!----- Symbols Dependent on %ReportControlField [%(INSTANCE(%ReportControlField))] -----!
                                #CALL(%GroupReportControlField)
                            #ENDFOR
                        #ENDIF
                    #ENDIF
                #ENDIF      
            #ENDFOR
        #ELSE
            #IF(%Primary<>%Null)
                #IF(%SymbolsDependentOnPrimary=1)
!----- Symbols Dependent on %%Primary [%(INSTANCE(%Primary))] -----!
                    #CALL(%GroupPrimary)
                #ENDIF
                #IF(%SymbolsDependentOnSecondary=1)
                    #FOR(%Secondary)
!----- Symbols Dependent on %%Secondary [%(INSTANCE(%Primary)):%(INSTANCE(%Secondary))] -----!
                        #CALL(%GroupSecondary)
                    #ENDFOR
                #ENDIF
            #ENDIF
            #IF(%SymbolsDependentOnProcedureCalled=1)
                #FOR(%ProcedureCalled)
!----- Symbols Dependent on %%ProcedureCalled [%(INSTANCE(%ProcedureCalled))] -----!
                    #CALL(%GroupProcedureCalled)
                #ENDFOR
            #ENDIF
            #IF(%SymbolsDependentOnLocalData=1)
                #FOR(%LocalData)
!----- Symbols Dependent on %%LocalData [%(INSTANCE(%LocalData))] -----!
                    #CALL(%GroupLocalData)
                #ENDFOR
            #ENDIF
            #IF(%SymbolsDependentOnActiveTemplate=1)
                #FOR(%ActiveTemplate)
!----- Symbols Dependent on %%ActiveTemplate [%(INSTANCE(%ActiveTemplate))] -----!
                    #CALL(%GroupActiveTemplate)
                    #IF(%SymbolsDependentOnActiveTemplateInstance=1)
                        #FOR(%ActiveTemplateInstance)
!----- Symbols Dependent on %%ActiveTemplateInstance [%(INSTANCE(%ActiveTemplate)):%(INSTANCE(%ActiveTemplateInstance))] -----!
                            #CALL(%GroupActiveTemplateInstance)
                        #ENDFOR
                    #ENDIF
                #ENDFOR
            #ELSE
                #IF(%SymbolsDependentOnActiveTemplateInstance=1)
                    #FOR(%ActiveTemplateInstance)
!----- Symbols Dependent on %%ActiveTemplateInstance [%(INSTANCE(%ActiveTemplateInstance))] -----!
                        #CALL(%GroupActiveTemplateInstance)
                    #ENDFOR
                #ENDIF
            #ENDIF
            #IF(%SymbolsDependentOnOtherFiles=1)
                #FOR(%OtherFiles)
!----- Symbols Dependent on %%OtherFiles [%(INSTANCE(%OtherFiles))] -----!
                    #CALL(%GroupOtherFiles)
                #ENDFOR
            #ENDIF
            #IF(%Window<>%Null)
                #IF(%SymbolsDependentOnWindow=1)
!----- Symbols Dependent on %%Window [1] -----!
                    #CALL(%GroupWindow)
                #ENDIF
                #IF(%SymbolsDependentOnControl=1)
                    #FOR(%Control)
!----- Symbols Dependent on %%Control [1:%(INSTANCE(%Control))] -----!
                        #CALL(%GroupControl)
                        #IF(%SymbolsDependentOnControlAlert=1)
                            #FOR(%ControlAlert)
!----- Symbols Dependent on %%ControlAlert [1:%(INSTANCE(%Control)):%(INSTANCE(%ControlAlert))] -----!
                                #CALL(%GroupControlAlert)
                            #ENDFOR
                        #ENDIF
                        #IF(%SymbolsDependentOnControlEvent=1)
                            #FOR(%ControlEvent)
!----- Symbols Dependent on %%ControlEvent [1:%(INSTANCE(%Control)):%(INSTANCE(%ControlEvent))] -----!
                                #CALL(%GroupControlEvent)
                            #ENDFOR
                        #ENDIF
                        #IF(%SymbolsDependentOnControlField=1)
                            #FOR(%ControlField)
!----- Symbols Dependent on %%ControlField [1:%(INSTANCE(%Control)):%(INSTANCE(%ControlField))] -----!
                                #CALL(%GroupControlField)
                            #ENDFOR
                        #ENDIF
                    #ENDFOR
                #ELSE
                    #IF(%SymbolsDependentOnControlAlert=1)
                        #FOR(%ControlAlert)
!----- Symbols Dependent on %%ControlAlert [%(INSTANCE(%ControlAlert))] -----!
                            #CALL(%GroupControlAlert)
                        #ENDFOR
                    #ENDIF
                    #IF(%SymbolsDependentOnControlEvent=1)
                        #FOR(%ControlEvent)
!----- Symbols Dependent on %%ControlEvent [%(INSTANCE(%ControlEvent))] -----!
                            #CALL(%GroupControlEvent)
                        #ENDFOR
                    #ENDIF
                    #IF(%SymbolsDependentOnControlField=1)
                        #FOR(%ControlField)
!----- Symbols Dependent on %%ControlField [%(INSTANCE(%ControlField))] -----!
                            #CALL(%GroupControlField)
                        #ENDFOR
                    #ENDIF
                #ENDIF
            #ENDIF
            #IF(%SymbolsDependentOnFormula=1)
                #FOR(%Formula)
!----- Symbols Dependent on %%Formula [%(INSTANCE(%Formula))] -----!
                    #CALL(%GroupFormula)
                    #IF(%SymbolsDependentOnFormulaExpression=1)
                        #FOR(%FormulaExpression)
!----- Symbols Dependent on %%FormulaExpression [%(INSTANCE(%Formula)):%(INSTANCE(%FormulaExpression))] -----!
                            #CALL(%GroupFormulaExpression)
                        #ENDFOR
                    #ENDIF
                #ENDFOR
            #ELSE
                #IF(%SymbolsDependentOnFormulaExpression=1)
                    #FOR(%FormulaExpression)
!----- Symbols Dependent on %%FormulaExpression [%(INSTANCE(%FormulaExpression))] -----!
                        #CALL(%GroupFormulaExpression)
                    #ENDFOR
                #ENDIF
            #ENDIF
            #IF(%Report<>%Null)
                #IF(%SymbolsDependentOnReport=1)
!----- Symbols Dependent on %%Report [1] -----!
                    #CALL(%GroupReport)
                #ENDIF
                #IF(%SymbolsDependentOnReportControl=1)
                    #FOR(%ReportControl)
!----- Symbols Dependent on %%ReportControl [1:%(INSTANCE(%ReportControl))] -----!
                        #CALL(%GroupReportControl)
                        #IF(%SymbolsDependentOnReportControlField=1)
                            #FOR(%ReportControlField)
!----- Symbols Dependent on %ReportControlField [1:%(INSTANCE(%ReportControl)):%(INSTANCE(%ReportControlField))] -----!
                                #CALL(%GroupReportControlField)
                            #ENDFOR
                        #ENDIF
                    #ENDFOR
                #ELSE
                    #IF(%SymbolsDependentOnReportControlField=1)
                        #FOR(%ReportControlField)
!----- Symbols Dependent on %ReportControlField [%(INSTANCE(%ReportControlField))] -----!
                            #CALL(%GroupReportControlField)
                        #ENDFOR
                    #ENDIF
                #ENDIF
            #ENDIF
        #ENDIF
        #IF(%SymbolsDependentOnDriver=1)
            #FOR(%Driver)
!----- Symbols Dependent on %%Driver [1:%(INSTANCE(%Driver))] -----!
                #CALL(%GroupDriver)
                #IF(%SymbolsDependentOnDriverType=1)
                    #FOR(%DriverType)
!----- Symbols Dependent on %%DriverType [1:%(INSTANCE(%Driver)):%(INSTANCE(%DriverType))] -----!
                        #CALL(%GroupDriverType)
                    #ENDFOR
                #ENDIF
                #IF(%SymbolsDependentOnDriverOpcode=1)
                    #FOR(%DriverOpcode)
!----- Symbols Dependent on %%DriverType [1:%(INSTANCE(%Driver)):%(INSTANCE(%DriverOpcode))] -----!
                        #CALL(%GroupDriverOpcode)
                    #ENDFOR
                #ENDIF
            #ENDFOR
        #ELSE
            #IF(%SymbolsDependentOnDriverType=1)
                #FOR(%DriverType)
!----- Symbols Dependent on %%DriverType [%(INSTANCE(%DriverType))] -----!
                    #CALL(%GroupDriverType)
                #ENDFOR
            #ENDIF
            #IF(%SymbolsDependentOnDriverOpcode=1)
                #FOR(%DriverOpcode)
!----- Symbols Dependent on %%DriverType [%(INSTANCE(%DriverOpcode))] -----!
                    #CALL(%GroupDriverOpcode)
                #ENDFOR
            #ENDIF
        #ENDIF
        #IF(%MiscellaneousSymbols=1)
!----- Miscellaneous Symbols -----!
            #CALL(%GroupMiscellaneousSymbols)
        #ENDIF
    #ENDIF
#ELSIF(%FOROption=2)
    #IF(%Application<>%Null)
        #IF(%SymbolsDependentOnApplication=1)
!----- Symbols Dependent on %%Application [1]-----!
            #CALL(%GroupApplication)
        #ENDIF
        #FOR(%ApplicationTemplate)
            #IF(%SymbolsDependentOnApplicationTemplate=1)
!----- Symbols Dependent on %%ApplicationTemplate [1:%(INSTANCE(%ApplicationTemplate))] -----!
                #CALL(%GroupApplicationTemplate)
            #ENDIF
            #FOR(%ApplicationTemplateInstance)
                #IF(%SymbolsDependentOnApplicationTemplateInstance=1)
!----- Symbols Dependent on %%ApplicationTemplateInstance [1:%(INSTANCE(%ApplicationTemplate)):%(INSTANCE(%ApplicationTemplateInstance))] -----!
                    #CALL(%GroupApplicationTemplateInstance)
                #ENDIF
            #ENDFOR
        #ENDFOR
        #FOR(%File)
            #IF(%SymbolsDependentOnFile=1)
!----- Symbols Dependent on %%File [1:%(INSTANCE(%File))] -----!
                #CALL(%GroupFile)
            #ENDIF
            #FOR(%ViewPrimaryFields)
                #IF(%SymbolsDependentOnViewPrimaryFields=1)
!----- Symbols Dependent on %%ViewPrimaryFields [1:%(INSTANCE(%File)):%(INSTANCE(%ViewPrimaryFields))] -----!
                    #CALL(%GroupViewPrimaryFields)
                #ENDIF
            #ENDFOR
            #FOR(%ViewFiles)
                #IF(%SymbolsDependentOnViewFiles=1)
!----- Symbols Dependent on %%ViewFiles [1:%(INSTANCE(%File)):%(INSTANCE(%ViewFiles))] -----!
                    #CALL(%GroupViewFiles)
                #ENDIF
                #FOR(%ViewFileFields)
                    #IF(%SymbolsDependentOnViewFileFields=1)
!----- Symbols Dependent on %%ViewFileFields [1:%(INSTANCE(%File)):%(INSTANCE(%ViewFiles)):%(INSTANCE(%ViewFileFields))] -----!
                        #CALL(%GroupViewFileFields)
                    #ENDIF
                #ENDFOR
            #ENDFOR
            #FOR(%Key)
                #IF(%SymbolsDependentOnKey=1)
!----- Symbols Dependent on %%Key [1:%(INSTANCE(%File)):%(INSTANCE(%Key))] -----!
                    #CALL(%GroupKey)
                #ENDIF
                #FOR(%KeyField)
                    #IF(%SymbolsDependentOnKeyField=1)
!----- Symbols Dependent on %%KeyField [1:%(INSTANCE(%File)):%(INSTANCE(%Key)):%(INSTANCE(%KeyField))] -----!
                        #CALL(%GroupKeyField)
                    #ENDIF
                #ENDFOR
            #ENDFOR
            #FOR(%KeyOrder)  #!????
                #IF(%SymbolsDependentOnKeyOrder=1)
!----- Symbols Dependent on %%KeyOrder [1:%(INSTANCE(%File)):%(INSTANCE(%KeyOrder))] -----!
                    #CALL(%GroupKeyOrder)
                #ENDIF
            #ENDFOR
            #FOR(%Relation)
                #IF(%SymbolsDependentOnRelation=1)
!----- Symbols Dependent on %%Relation [1:%(INSTANCE(%File)):%(INSTANCE(%Relation))] -----!
                    #CALL(%GroupRelation)
                #ENDIF
                #FOR(%RelationKeyField)
                    #IF(%SymbolsDependentOnRelationKeyField=1)
!----- Symbols Dependent on %%RelationKeyField [1:%(INSTANCE(%File)):%(INSTANCE(%Relation)):%(INSTANCE(%RelationKeyField))] -----!
                        #CALL(%GroupRelationKeyField)
                    #ENDIF
                #ENDFOR
                #FOR(%FileKeyField)
                    #IF(%SymbolsDependentOnFileKeyField=1)
!----- Symbols Dependent on %%FileKeyField [1:%(INSTANCE(%File)):%(INSTANCE(%Relation)):%(INSTANCE(%FileKeyField))] -----!
                        #CALL(%GroupFileKeyField)
                    #ENDIF
                #ENDFOR
            #ENDFOR
            #FOR(%Field)
                #IF(%SymbolsDependentOnField=1)
!----- Symbols Dependent on %%Field [1:%(INSTANCE(%File)):%(INSTANCE(%Field))] -----!
                    #CALL(%GroupField)
                #ENDIF
                #FOR(%FieldScreenControl)
                    #IF(%SymbolsDependentOnFieldScreenControl=1)
!----- Symbols Dependent on %%FieldScreenControl [1:%(INSTANCE(%File)):%(INSTANCE(%Field)):%(INSTANCE(%FieldScreenControl))] -----!
                        #CALL(%GroupFieldScreenControl)
                    #ENDIF
                #ENDFOR
                #FOR(%FieldReportControl)
                    #IF(%SymbolsDependentOnFieldReportControl=1)
!----- Symbols Dependent on %%FieldReportControl [1:%(INSTANCE(%File)):%(INSTANCE(%Field)):%(INSTANCE(%FieldReportControl))] -----!
                        #CALL(%GroupFieldReportControl)
                    #ENDIF
                #ENDFOR
                #FOR(%FieldChoices)
                    #IF(%SymbolsDependentOnFieldChoices=1)
!----- Symbols Dependent on %%FieldChoices [1:%(INSTANCE(%File)):%(INSTANCE(%Field)):%(INSTANCE(%FieldChoices))] -----!
                        #CALL(%GroupFieldChoices)
                    #ENDIF
                #ENDFOR
                #FOR(%FieldValues)
                    #IF(%SymbolsDependentOnFieldValues=1)
!----- Symbols Dependent on %%FieldValues [1:%(INSTANCE(%File)):%(INSTANCE(%Field)):%(INSTANCE(%FieldValues))] -----!
                        #CALL(%GroupFieldValues)
                    #ENDIF
                #ENDFOR
                #IF(%FieldValidation='INLIST')   
                    #!FOR(%FieldDisplayChoices)
                        #!IF(%SymbolsDependentOnFieldDisplayChoices=1)
#!----- Symbols Dependent on %%FieldDisplayChoices [1:%(INSTANCE(%File)):%(INSTANCE(%Field)):%(INSTANCE(%FieldDisplayChoices))] -----!
                            #!CALL(%GroupFieldDisplayChoices)
                        #!ENDIF
                    #!ENDFOR
                #ENDIF
            #ENDFOR
        #ENDFOR     
        #FOR(%GlobalData)
            #IF(%SymbolsDependentOnGlobalData=1)
!----- Symbols Dependent on %%GlobalData [1:%(INSTANCE(%GlobalData))] -----!
                #CALL(%GroupGlobalData)
            #ENDIF
        #ENDFOR
        #FOR(%Module)
            #IF(%SymbolsDependentOnModule=1)
!----- Symbols Dependent on %%Module [1:%(INSTANCE(%Module))] -----!
                #CALL(%GroupModule)
            #ENDIF
            #FOR(%ModuleProcedure)
                #IF(%SymbolsDependentOnModuleProcedure=1)
!----- Symbols Dependent on %%ModuleProcedure [1:%(INSTANCE(%Module)):%(INSTANCE(%ModuleProcedure))] -----!
                    #CALL(%GroupModuleProcedure)
                #ENDIF
            #ENDFOR
            #FOR(%ModuleData)
                #IF(%SymbolsDependentOnModuleData=1)
!----- Symbols Dependent on %%ModuleData [1:%(INSTANCE(%Module)):%(INSTANCE(%ModuleData))] -----!
                    #CALL(%GroupModuleData)
                #ENDIF
            #ENDFOR
        #ENDFOR
        #FOR(%Procedure)
            #IF(%SymbolsDependentOnProcedure=1)
!----- Symbols Dependent on %%Procedure [1:%(INSTANCE(%Procedure))] -----!
                #CALL(%GroupProcedure)
            #ENDIF
            #IF(%Primary<>%Null)
                #IF(%SymbolsDependentOnPrimary=1)
!----- Symbols Dependent on %%Primary [1:%(INSTANCE(%Procedure)):%(INSTANCE(%Primary))] -----!
                    #CALL(%GroupPrimary)
                #ENDIF
                #FOR(%Secondary)
                    #IF(%SymbolsDependentOnSecondary=1)
!----- Symbols Dependent on %%Secondary [1:%(INSTANCE(%Procedure)):%(INSTANCE(%Primary)):%(INSTANCE(%Secondary))] -----!
                        #CALL(%GroupSecondary)
                    #ENDIF
                #ENDFOR
            #ENDIF
            #FOR(%ProcedureCalled)
                #IF(%SymbolsDependentOnProcedureCalled=1)
!----- Symbols Dependent on %%ProcedureCalled [1:%(INSTANCE(%Procedure)):%(INSTANCE(%ProcedureCalled))] -----!
                    #CALL(%GroupProcedureCalled)
                #ENDIF
            #ENDFOR
            #FOR(%LocalData)
                #IF(%SymbolsDependentOnLocalData=1)
!----- Symbols Dependent on %%LocalData [1:%(INSTANCE(%Procedure)):%(INSTANCE(%LocalData))] -----!
                    #CALL(%GroupLocalData)
                #ENDIF
            #ENDFOR
            #FOR(%ActiveTemplate)
                #IF(%SymbolsDependentOnActiveTemplate=1)
!----- Symbols Dependent on %%ActiveTemplate [1:%(INSTANCE(%Procedure)):%(INSTANCE(%ActiveTemplate))] -----!
                    #CALL(%GroupActiveTemplate)
                #ENDIF
                #FOR(%ActiveTemplateInstance)
                    #IF(%SymbolsDependentOnActiveTemplateInstance=1)
!----- Symbols Dependent on %%ActiveTemplateInstance [1:%(INSTANCE(%Procedure)):%(INSTANCE(%ActiveTemplate)):%(INSTANCE(%ActiveTemplateInstance))] -----!
                        #CALL(%GroupActiveTemplateInstance)
                    #ENDIF
                #ENDFOR
            #ENDFOR
            #FOR(%OtherFiles)
                #IF(%SymbolsDependentOnOtherFiles=1)
!----- Symbols Dependent on %%OtherFiles [1:%(INSTANCE(%Procedure)):%(INSTANCE(%OtherFiles))] -----!
                    #CALL(%GroupOtherFiles)
                #ENDIF
            #ENDFOR
            #IF(%Window<>%Null)
                #IF(%SymbolsDependentOnWindow=1)
!----- Symbols Dependent on %%Window [1:%(INSTANCE(%Procedure)):1] -----!
                    #CALL(%GroupWindow)
                #ENDIF
                #FOR(%Control)
                    #IF(%SymbolsDependentOnControl=1)
!----- Symbols Dependent on %%Control [1:%(INSTANCE(%Procedure)):1:%(INSTANCE(%Control))] -----!
                        #CALL(%GroupControl)
                    #ENDIF
                    #FOR(%ControlAlert)
                        #IF(%SymbolsDependentOnControlAlert=1)
!----- Symbols Dependent on %%ControlAlert [1:%(INSTANCE(%Procedure)):1:%(INSTANCE(%Control)):%(INSTANCE(%ControlAlert))] -----!
                            #CALL(%GroupControlAlert)
                        #ENDIF
                    #ENDFOR
                    #FOR(%ControlEvent)
                        #IF(%SymbolsDependentOnControlEvent=1)
!----- Symbols Dependent on %%ControlEvent [1:%(INSTANCE(%Procedure)):1:%(INSTANCE(%Control)):%(INSTANCE(%ControlEvent))] -----!
                            #CALL(%GroupControlEvent)
                        #ENDIF
                    #ENDFOR
                    #FOR(%ControlField)
                        #IF(%SymbolsDependentOnControlField=1)
!----- Symbols Dependent on %%ControlField [1:%(INSTANCE(%Procedure)):1:%(INSTANCE(%Control)):%(INSTANCE(%ControlField))] -----!
                            #CALL(%GroupControlField)
                        #ENDIF
                    #ENDFOR
                #ENDFOR
            #ENDIF
            #FOR(%Formula)
                #IF(%SymbolsDependentOnFormula=1)
!----- Symbols Dependent on %%Formula [1:%(INSTANCE(%Procedure)):%(INSTANCE(%Formula))] -----!
                    #CALL(%GroupFormula)
                #ENDIF
                #FOR(%FormulaExpression)
                    #IF(%SymbolsDependentOnFormulaExpression=1)
!----- Symbols Dependent on %%FormulaExpression [1:%(INSTANCE(%Procedure)):%(INSTANCE(%Formula)):%(INSTANCE(%FormulaExpression))] -----!
                        #CALL(%GroupFormulaExpression)
                    #ENDIF
                #ENDFOR
            #ENDFOR
            #IF(%Report<>%Null)
                #IF(%SymbolsDependentOnReport=1)
!----- Symbols Dependent on %%Report [1:%(INSTANCE(%Procedure)):1] -----!
                    #CALL(%GroupReport)
                #ENDIF
                #FOR(%ReportControl)
                    #IF(%SymbolsDependentOnReportControl=1)
!----- Symbols Dependent on %%ReportControl [1:%(INSTANCE(%Procedure)):1:%(INSTANCE(%ReportControl))] -----!
                        #CALL(%GroupReportControl)
                    #ENDIF
                    #FOR(%ReportControlField)
                        #IF(%SymbolsDependentOnReportControlField=1)
!----- Symbols Dependent on %ReportControlField [1:%(INSTANCE(%Procedure)):1:%(INSTANCE(%ReportControl)):%(INSTANCE(%ReportControlField))] -----!
                            #CALL(%GroupReportControlField)
                        #ENDIF
                    #ENDFOR
                #ENDFOR
            #ENDIF      
        #ENDFOR
        #FOR(%Driver)
            #IF(%SymbolsDependentOnDriver=1)
!----- Symbols Dependent on %%Driver [1:%(INSTANCE(%Driver))] -----!
                #CALL(%GroupDriver)
            #ENDIF
            #FOR(%DriverType)
                #IF(%SymbolsDependentOnDriverType=1)
!----- Symbols Dependent on %%DriverType [1:%(INSTANCE(%Driver)):%(INSTANCE(%DriverType))] -----!
                    #CALL(%GroupDriverType)
                #ENDIF
            #ENDFOR
            #FOR(%DriverOpcode)
                #IF(%SymbolsDependentOnDriverOpcode=1)
!----- Symbols Dependent on %%DriverType [1:%(INSTANCE(%Driver)):%(INSTANCE(%DriverOpcode))] -----!
                    #CALL(%GroupDriverOpcode)
                #ENDIF
            #ENDFOR
        #ENDFOR
        #IF(%MiscellaneousSymbols=1)
!----- Miscellaneous Symbols -----!
            #CALL(%GroupMiscellaneousSymbols)
        #ENDIF
    #ENDIF
#ELSIF(%FOROption=3)
    #IF(%SymbolsDependentOnApplication=1)
!----- Symbols Dependent on %%Application [1]-----!
        #CALL(%GroupApplication)
    #ENDIF
    #IF(%SymbolsDependentOnApplicationTemplate=1)
!----- Symbols Dependent on %%ApplicationTemplate [1:%(INSTANCE(%ApplicationTemplate))] -----!
        #CALL(%GroupApplicationTemplate)
    #ENDIF
    #IF(%SymbolsDependentOnApplicationTemplateInstance=1)
!----- Symbols Dependent on %%ApplicationTemplateInstance [1:%(INSTANCE(%ApplicationTemplate)):%(INSTANCE(%ApplicationTemplateInstance))] -----!
        #CALL(%GroupApplicationTemplateInstance)
    #ENDIF
    #IF(%SymbolsDependentOnFile=1)
!----- Symbols Dependent on %%File [1:%(INSTANCE(%File))] -----!
        #CALL(%GroupFile)
    #ENDIF
    #IF(%SymbolsDependentOnViewPrimaryFields=1)
!----- Symbols Dependent on %%ViewPrimaryFields [1:%(INSTANCE(%File)):%(INSTANCE(%ViewPrimaryFields))] -----!
        #CALL(%GroupViewPrimaryFields)
    #ENDIF
    #IF(%SymbolsDependentOnViewFiles=1)
!----- Symbols Dependent on %%ViewFiles [1:%(INSTANCE(%File)):%(INSTANCE(%ViewFiles))] -----!
        #CALL(%GroupViewFiles)
    #ENDIF
    #IF(%SymbolsDependentOnViewFileFields=1)
!----- Symbols Dependent on %%ViewFileFields [1:%(INSTANCE(%File)):%(INSTANCE(%ViewFiles)):%(INSTANCE(%ViewFileFields))] -----!
        #CALL(%GroupViewFileFields)
    #ENDIF
    #IF(%SymbolsDependentOnKey=1)
!----- Symbols Dependent on %%Key [1:%(INSTANCE(%File)):%(INSTANCE(%Key))] -----!
        #CALL(%GroupKey)
    #ENDIF
    #IF(%SymbolsDependentOnKeyField=1)
!----- Symbols Dependent on %%KeyField [1:%(INSTANCE(%File)):%(INSTANCE(%Key)):%(INSTANCE(%KeyField))] -----!
        #CALL(%GroupKeyField)
    #ENDIF
    #IF(%SymbolsDependentOnKeyOrder=1)
!----- Symbols Dependent on %%KeyOrder [1:%(INSTANCE(%File)):%(INSTANCE(%KeyOrder))] -----!
        #CALL(%GroupKeyOrder)
    #ENDIF
    #IF(%SymbolsDependentOnRelation=1)
!----- Symbols Dependent on %%Relation [1:%(INSTANCE(%File)):%(INSTANCE(%Relation))] -----!
        #CALL(%GroupRelation)
    #ENDIF
    #IF(%SymbolsDependentOnRelationKeyField=1)
!----- Symbols Dependent on %%RelationKeyField [1:%(INSTANCE(%File)):%(INSTANCE(%Relation)):%(INSTANCE(%RelationKeyField))] -----!
        #CALL(%GroupRelationKeyField)
    #ENDIF
    #IF(%SymbolsDependentOnFileKeyField=1)
!----- Symbols Dependent on %%FileKeyField [1:%(INSTANCE(%File)):%(INSTANCE(%Relation)):%(INSTANCE(%FileKeyField))] -----!
        #CALL(%GroupFileKeyField)
    #ENDIF
    #IF(%SymbolsDependentOnField=1)
!----- Symbols Dependent on %%Field [1:%(INSTANCE(%File)):%(INSTANCE(%Field))] -----!
        #CALL(%GroupField)
    #ENDIF
    #IF(%SymbolsDependentOnFieldScreenControl=1)
!----- Symbols Dependent on %%FieldScreenControl [1:%(INSTANCE(%File)):%(INSTANCE(%Field)):%(INSTANCE(%FieldScreenControl))] -----!
        #CALL(%GroupFieldScreenControl)
    #ENDIF
    #IF(%SymbolsDependentOnFieldReportControl=1)
!----- Symbols Dependent on %%FieldReportControl [1:%(INSTANCE(%File)):%(INSTANCE(%Field)):%(INSTANCE(%FieldReportControl))] -----!
        #CALL(%GroupFieldReportControl)
    #ENDIF
    #IF(%SymbolsDependentOnFieldChoices=1)
!----- Symbols Dependent on %%FieldChoices [1:%(INSTANCE(%File)):%(INSTANCE(%Field)):%(INSTANCE(%FieldChoices))] -----!
        #CALL(%GroupFieldChoices)
    #ENDIF
    #IF(%SymbolsDependentOnFieldValues=1)
!----- Symbols Dependent on %%FieldValues [1:%(INSTANCE(%File)):%(INSTANCE(%Field)):%(INSTANCE(%FieldValues))] -----!
        #CALL(%GroupFieldValues)
    #ENDIF
    #IF(%SymbolsDependentOnFieldDisplayChoices=1)
        #IF(%FieldValidation='INLIST')
#!----- Symbols Dependent on %%FieldDisplayChoices [1:%(INSTANCE(%File)):%(INSTANCE(%Field)):%(INSTANCE(%FieldDisplayChoices))] -----!
            #!CALL(%GroupFieldDisplayChoices)
        #ENDIF
    #ENDIF
    #IF(%SymbolsDependentOnGlobalData=1)
!----- Symbols Dependent on %%GlobalData [1:%(INSTANCE(%GlobalData))] -----!
        #CALL(%GroupGlobalData)
    #ENDIF
    #IF(%SymbolsDependentOnModule=1)
!----- Symbols Dependent on %%Module [1:%(INSTANCE(%Module))] -----!
        #CALL(%GroupModule)
    #ENDIF
    #IF(%SymbolsDependentOnModuleProcedure=1)
!----- Symbols Dependent on %%ModuleProcedure [1:%(INSTANCE(%Module)):%(INSTANCE(%ModuleProcedure))] -----!
        #CALL(%GroupModuleProcedure)
    #ENDIF
    #IF(%SymbolsDependentOnModuleData=1)
!----- Symbols Dependent on %%ModuleData [1:%(INSTANCE(%Module)):%(INSTANCE(%ModuleData))] -----!
        #CALL(%GroupModuleData)
    #ENDIF
    #IF(%SymbolsDependentOnProcedure=1)
!----- Symbols Dependent on %%Procedure [1:%(INSTANCE(%Procedure))] -----!
        #CALL(%GroupProcedure)
    #ENDIF
    #IF(%SymbolsDependentOnPrimary=1)
!----- Symbols Dependent on %%Primary [1:%(INSTANCE(%Procedure)):%(INSTANCE(%Primary))] -----!
        #CALL(%GroupPrimary)
    #ENDIF
    #IF(%SymbolsDependentOnSecondary=1)
!----- Symbols Dependent on %%Secondary [1:%(INSTANCE(%Procedure)):%(INSTANCE(%Primary)):%(INSTANCE(%Secondary))] -----!
        #CALL(%GroupSecondary)
    #ENDIF
    #IF(%SymbolsDependentOnProcedureCalled=1)
!----- Symbols Dependent on %%ProcedureCalled [1:%(INSTANCE(%Procedure)):%(INSTANCE(%ProcedureCalled))] -----!
        #CALL(%GroupProcedureCalled)
    #ENDIF
    #IF(%SymbolsDependentOnLocalData=1)
!----- Symbols Dependent on %%LocalData [1:%(INSTANCE(%Procedure)):%(INSTANCE(%LocalData))] -----!
        #CALL(%GroupLocalData)
    #ENDIF
    #IF(%SymbolsDependentOnActiveTemplate=1)
!----- Symbols Dependent on %%ActiveTemplate [1:%(INSTANCE(%Procedure)):%(INSTANCE(%ActiveTemplate))] -----!
        #CALL(%GroupActiveTemplate)
    #ENDIF
    #IF(%SymbolsDependentOnActiveTemplateInstance=1)
!----- Symbols Dependent on %%ActiveTemplateInstance [1:%(INSTANCE(%Procedure)):%(INSTANCE(%ActiveTemplate)):%(INSTANCE(%ActiveTemplateInstance))] -----!
        #CALL(%GroupActiveTemplateInstance)
    #ENDIF
    #IF(%SymbolsDependentOnOtherFiles=1)
!----- Symbols Dependent on %%OtherFiles [1:%(INSTANCE(%Procedure)):%(INSTANCE(%OtherFiles))] -----!
        #CALL(%GroupOtherFiles)
    #ENDIF
    #IF(%SymbolsDependentOnWindow=1)
!----- Symbols Dependent on %%Window [1:%(INSTANCE(%Procedure)):1] -----!
        #CALL(%GroupWindow)
    #ENDIF
    #IF(%SymbolsDependentOnControl=1)
!----- Symbols Dependent on %%Control [1:%(INSTANCE(%Procedure)):1:%(INSTANCE(%Control))] -----!
        #CALL(%GroupControl)
    #ENDIF
    #IF(%SymbolsDependentOnControlEvent=1)
!----- Symbols Dependent on %%ControlEvent [1:%(INSTANCE(%Procedure)):1:%(INSTANCE(%Control)):%(INSTANCE(%ControlEvent))] -----!
        #CALL(%GroupControlEvent)
    #ENDIF
    #IF(%SymbolsDependentOnControlField=1)
!----- Symbols Dependent on %%ControlField [1:%(INSTANCE(%Procedure)):1:%(INSTANCE(%Control)):%(INSTANCE(%ControlField))] -----!
        #CALL(%GroupControlField)
    #ENDIF
    #IF(%SymbolsDependentOnFormula=1)
!----- Symbols Dependent on %%Formula [1:%(INSTANCE(%Procedure)):%(INSTANCE(%Formula))] -----!
        #CALL(%GroupFormula)
    #ENDIF
    #IF(%SymbolsDependentOnFormulaExpression=1)
!----- Symbols Dependent on %%FormulaExpression [1:%(INSTANCE(%Procedure)):%(INSTANCE(%Formula)):%(INSTANCE(%FormulaExpression))] -----!
        #CALL(%GroupFormulaExpression)
    #ENDIF
    #IF(%SymbolsDependentOnReport=1)
!----- Symbols Dependent on %%Report [1:%(INSTANCE(%Procedure)):1] -----!
        #CALL(%GroupReport)
    #ENDIF
    #IF(%SymbolsDependentOnReportControl=1)
!----- Symbols Dependent on %%ReportControl [1:%(INSTANCE(%Procedure)):1:%(INSTANCE(%ReportControl))] -----!
        #CALL(%GroupReportControl)
    #ENDIF
    #IF(%SymbolsDependentOnReportControlField=1)
!----- Symbols Dependent on %ReportControlField [1:%(INSTANCE(%Procedure)):1:%(INSTANCE(%ReportControl)):%(INSTANCE(%ReportControlField))] -----!
        #CALL(%GroupReportControlField)
    #ENDIF      
    #IF(%SymbolsDependentOnDriver=1)
!----- Symbols Dependent on %%Driver [1:%(INSTANCE(%Driver))] -----!
        #CALL(%GroupDriver)
    #ENDIF
    #IF(%SymbolsDependentOnDriverType=1)
!----- Symbols Dependent on %%DriverType [1:%(INSTANCE(%Driver)):%(INSTANCE(%DriverType))] -----!
        #CALL(%GroupDriverType)
    #ENDIF
    #IF(%SymbolsDependentOnDriverOpcode=1)
!----- Symbols Dependent on %%DriverType [1:%(INSTANCE(%Driver)):%(INSTANCE(%DriverOpcode))] -----!
        #CALL(%GroupDriverOpcode)
    #ENDIF
    #IF(%MiscellaneousSymbols=1)
!----- Miscellaneous Symbols -----!
        #CALL(%GroupMiscellaneousSymbols)
    #ENDIF
#ENDIF
#!******************************************
#GROUP(%GroupApplication)
#!******************************************
#IF(%Application<>%Null)
!%%Application=%Application                           #<!The name of the .APP file. The hierarchy of built-in symbols starts with %Application.
#ENDIF
#IF(%ApplicationDebug<>%Null)
!%%ApplicationDebug=%ApplicationDebug                 #<!Contains 1 if the application has debug enabled.
#ENDIF
#IF(%ApplicationLocalLibrary<>%Null)
!%%ApplicationLocalLibrary=%ApplicationLocalLibrary   #<!Contains 1 if the application is linking in the Clarion runtime library.
#ENDIF
#IF(%ProjectTarget<>%Null)
!%%ProjectTarget=%ProjectTarget                       #<!Contains the name of the file being produced. %Target32 Contains 1 if the application is producing a 32-bit program.
#ENDIF
#IF(%DictionaryChanged<>%Null)
!%%DictionaryChanged=%DictionaryChanged               #<!Contains 1 if the .DCT file has changed since the last source generation.
#ENDIF
#IF(%RegistryChanged<>%Null)
!%%RegistryChanged=%RegistryChanged                   #<!Contains 1 if the .REGISTRY.TRF file has changed since the last source generation.
#ENDIF
#IF(%ProgramDateCreated<>%Null)
!%%ProgramDateCreated=%ProgramDateCreated             #<!The program creation date (a Clarion standard date).
#ENDIF
#IF(%ProgramDateChanged<>%Null)
!%%ProgramDateChanged=%ProgramDateChanged             #<!The date the program was last changed (a Clarion standard date).
#ENDIF
#IF(%ProgramTimeCreated<>%Null)
!%%ProgramTimeCreated=%ProgramTimeCreated             #<!The program creation time (Clarion standard time).
#ENDIF
#IF(%ProgramTimeChanged<>%Null)
!%%ProgramTimeChanged=%ProgramTimeChanged             #<!The time the program was last changed (a Clarion standard time).
#ENDIF
#IF(%FirstProcedure<>%Null)
!%%FirstProcedure=%FirstProcedure                     #<!The label of the application's first procedure.
#ENDIF
#IF(%HelpFile<>%Null)
!%%HelpFile=%HelpFile                                 #<!The name of the application's help file.
#ENDIF
#IF(%ProgramExtension<>%Null)
!%%ProgramExtension=%ProgramExtension                 #<!Contains EXE, DLL, or LIB.
#ENDIF
#IF(%DictionaryFile<>%Null)
!%%DictionaryFile=%DictionaryFile                     #<!The name of the .DCT file for the application.
#ENDIF
#IF(%DictionaryQuickOptions<>%Null)
!%%DictionaryQuickOptions=%DictionaryQuickOptions     #<!A comma-delimited string containing the choices the user made on the Options tab for the dictionary properties.
#ENDIF
#IF(%DictionaryUserOptions<>%Null)
!%%DictionaryUserOptions=%DictionaryUserOptions       #<!A string containing the entries the user made in the User Options text box on the Options tab for the dictionary properties.
#ENDIF
#IF(%DictionaryToolOptions<>%Null)
!%%DictionaryToolOptions=%DictionaryToolOptions       #<!A string containing the entries third-party tools have made in the TOOLOPTIONS section of the .TXD file for the dictionary.
#ENDIF
#IF(%DictionaryDescription<>%Null)
!%%DictionaryDescription=%DictionaryDescription       #<!A string containing a short description of the dictionary.
#ENDIF
#IF(%DictionaryVersion<>%Null)
!%%DictionaryVersion=%DictionaryVersion               #<!A string containing the current dictionary version number.
#ENDIF
#IF(%DictionaryTimeCreated<>%Null)
!%%DictionaryTimeCreated=%DictionaryTimeCreated       #<!The dictionary creation time (Clarion standard time).
#ENDIF
#IF(%DictionaryDateCreated<>%Null)
!%%DictionaryDateCreated=%DictionaryDateCreated       #<!The dictionary creation date (Clarion standard date).
#ENDIF
#IF(%DictionaryTimeChanged<>%Null)
!%%DictionaryTimeChanged=%DictionaryTimeChanged       #<!The time dictionary was last changed (Clarion standard time).
#ENDIF
#IF(%DictionaryDateChanged<>%Null)
!%%DictionaryDateChanged=%DictionaryDateChanged       #<!The date dictionary was last changed (Clarion standard date).
#ENDIF
#IF(%Program<>%Null)
!%%Program=%Program                                   #<!The name of the PROGRAM module.
#ENDIF
#IF(%GlobalDataUserOptions<>%Null)
!%%GlobalDataUserOptions=%GlobalDataUserOptions       #<!A string containing the entries the user made in the User Options text box on the Options tab for the global data group defined in the dictionary.
#ENDIF
#IF(%CreateLocalMap<>%Null)
!%%CreateLocalMap=%CreateLocalMap                     #<!Contains 1 if the application should create local MAP structures instead of a single global MAP.
#ENDIF
#IF(%QuickProcedure<>%Null)
!%%QuickProcedure=%QuickProcedure                     #<!The name of the procedure type a #UTILITY with the WIZARD attribute is creating.
#ENDIF
#IF(%EditProcedure<>%Null)
!%%EditProcedure=%EditProcedure                       #<!The name of the procedure being edited in context.
#ENDIF
#IF(%EditFilename<>%Null)
!%%EditFilename=%EditFilename                         #<!The name of the temporary file that the procedure being edited in context is generated into.
#ENDIF
#!******************************************
#GROUP(%GroupApplicationTemplate)
#!******************************************
#IF(%ApplicationTemplate<>%Null)
!%%ApplicationTemplate=%ApplicationTemplate           #<!The name of all global extension templates used in the application. Multi-valued.
#ENDIF
#IF(%ApplicationTemplateInstanceDescription<>%Null)
!%%ApplicationTemplateInstanceDescription=%ApplicationTemplateInstanceDescription #<!The description of global extension templates used in the application. Dependent on %ApplicationTemplate.
#ENDIF
#IF(%ApplicationTemplateParentInstance<>%Null)
!%%ApplicationTemplateParentInstance=%ApplicationTemplateParentInstance           #<!The instance number of the control template's parent global extension template. This is the first global extension template that it is "attached" to. Dependent on %ApplicationTemplateInstance.
#ENDIF
#IF(%ApplicationTemplatePrimaryInstance<>%Null)
!%%ApplicationTemplatePrimaryInstance=%ApplicationTemplatePrimaryInstance         #<!The instance number of the control template's primary global extension template. This is the global extension template in a succession of multiple related global extension templates. Dependent on %ApplicationTemplateInstance.
#ENDIF
#!******************************************
#GROUP(%GroupApplicationTemplateInstance)
#!******************************************
#IF(%ApplicationTemplateInstance<>%Null)
!%%ApplicationTemplateInstance=%ApplicationTemplateInstance        #<!The instance numbers of all global extension templates used in the application. Multi-valued. Dependent on %ApplicationTemplate.
#ENDIF
#!******************************************
#GROUP(%GroupFile)
#!******************************************
#IF(%File<>%Null)
!%%File=%File                                         #<!Contains all file declarations in the .DCT file. Multivalued. Dependent on %DictionaryFile.
#ENDIF
#IF(%FileIdent<>%Null)
!%%FileIdent=%FileIdent                               #<!The internal file number assigned by the Dictionary Editor and displayed in the IDENT in a .TXD file.
#ENDIF
#IF(%FilePrefix<>%Null)
!%%FilePrefix=%FilePrefix                             #<!Contents of the PRE attribute (the file prefix).
#ENDIF
#IF(%FileDescription<>%Null)
!%%FileDescription=%FileDescription                   #<!A short description of the file.
#ENDIF
#IF(%FileType<>%Null)
!%%FileType=%FileType                                 #<!Contains FILE, VIEW, or ALIAS.
#ENDIF
#IF(%FileUsage<>%Null)
!%%FileUsage=%FileUsage                               #<!Contains FILE, GLOBAL, or POOL.
#ENDIF
#IF(%FileDriver<>%Null)
!%%FileDriver=%FileDriver                             #<!Contents of the DRIVER attribute first parameter.
#ENDIF
#IF(%FileDriverParameter<>%Null)
!%%FileDriverParameter=%FileDriverParameter           #<!Contents of the DRIVER attribute second parameter.
#ENDIF
#IF(%FileName<>%Null)
!%%FileName=%FileName                                 #<!Contents of the FILE statement's NAME attribute.
#ENDIF
#IF(%FileOwner<>%Null)
!%%FileOwner=%FileOwner                               #<!Contents of the OWNER attribute.
#ENDIF
#IF(%FileCreate<>%Null)
!%%FileCreate=%FileCreate                             #<!Contains 1 if the file has the CREATE attribute.
#ENDIF
#IF(%FileReclaim<>%Null)
!%%FileReclaim=%FileReclaim                           #<!Contains 1 if the file has the RECLAIM attribute.
#ENDIF
#IF(%FileOEM<>%Null)
!%%FileOEM=%FileOEM                                   #<!Contains a 1 if the file has the OEM attribute.
#ENDIF
#IF(%FileEncrypt<>%Null)
!%%FileEncrypt=%FileEncrypt                           #<!Contains 1 if the file has the ENCRYPT attribute.
#ENDIF
#IF(%FileBindable<>%Null)
!%%FileBindable=%FileBindable                         #<!Contains 1 if the file has the BINDABLE attribute.
#ENDIF
#IF(%FileLongDesc<>%Null)
!%%FileLongDesc=%FileLongDesc                         #<!A long description of the file.
#ENDIF
#IF(%File32BitOnly<>%Null)
!%%File32BitOnly=%File32BitOnly                       #<!Contains 1 if the file can only be used in 32-bit applications.
#ENDIF
#IF(%FileStruct<>%Null)
!%%FileStruct=%FileStruct                             #<!The FILE statement (the label and all attributes).
#ENDIF
#IF(%FileStructEnd<>%Null)
!%%FileStructEnd=%FileStructEnd                       #<!The keyword END.
#ENDIF
#IF(%FileStructRec<>%Null)
!%%FileStructRec=%FileStructRec                       #<!The RECORD statement (including label and any attributes).
#ENDIF
#IF(%FileStructRecEnd<>%Null)
!%%FileStructRecEnd=%FileStructRecEnd                 #<!The keyword END.
#ENDIF
#IF(%FileStatement<>%Null)
!%%FileStatement=%FileStatement                       #<!Contains the FILE statement's attributes (only).
#ENDIF
#IF(%FileThreaded<>%Null)
!%%FileThreaded=%FileThreaded                         #<!Contains 1 if the file has the THREAD attribute.
#ENDIF
#IF(%FileExternal<>%Null)
!%%FileExternal=%FileExternal                         #<!Contains 1 if the file has the EXTERNAL attribute.
#ENDIF
#IF(%FileExternalModule<>%Null)
!%%FileExternalModule=%FileExternalModule             #<!Contents of the file's EXTERNAL attribute parameter.
#ENDIF
#IF(%FilePrimaryKey<>%Null)
!%%FilePrimaryKey=%FilePrimaryKey                     #<!The label of the file's primary key.
#ENDIF
#IF(%FileQuickOptions<>%Null)
!%%FileQuickOptions=%FileQuickOptions                 #<!A comma-delimited string containing the choices the user made on the Options tab for the file.
#ENDIF
#IF(%FileUserOptions<>%Null)
!%%FileUserOptions=%FileUserOptions                   #<!A string containing the entries the user made in the User Options text box on the Options tab for the file.
#ENDIF
#IF(%FileToolOptions<>%Null)
!%%FileToolOptions=%FileToolOptions                   #<!A string containing the entries third-party tools have made in the TOOLOPTIONS section of the .TXD file for the file.
#ENDIF
#IF(%ViewFilter<>%Null)
!%%ViewFilter=%ViewFilter                             #<!Contents of the FILTER attribute.
#ENDIF
#IF(%ViewStruct<>%Null)
!%%ViewStruct=%ViewStruct                             #<!The VIEW statement (including the label and all attributes).
#ENDIF
#IF(%ViewStructEnd<>%Null)
!%%ViewStructEnd=%ViewStructEnd                       #<!The keyword END.
#ENDIF
#IF(%ViewStatement<>%Null)
!%%ViewStatement=%ViewStatement                       #<!The VIEW statement's attributes (only).
#ENDIF
#IF(%ViewPrimary<>%Null)
!%%ViewPrimary=%ViewPrimary                           #<!The label of the VIEW's primary file.
#ENDIF
#IF(%AliasFile<>%Null)
!%%AliasFile=%AliasFile                               #<!The label of the ALIASed file.
#ENDIF
#!******************************************
#GROUP(%GroupGlobalData)
#!******************************************
#IF(%GlobalData<>%Null)
!%%GlobalData=%GlobalData                             #<!The labels of all global variable declarations. Multivalued.
#ENDIF
#IF(%GlobalDataInDictionary<>%Null)
!%%GlobalDataInDictionary=%GlobalDataInDictionary     #<!Contains 1 if the global variable is defined within the dictionary. Dependent on %GlobalData.
#ENDIF
#IF(%GlobalDataStatement<>%Null)
!%%GlobalDataStatement=%GlobalDataStatement           #<!The variable's declaration statement (data type and all attributes). Dependent on %GlobalData.
#ENDIF
#IF(%GlobalDataLast<>%Null)
!%%GlobalDataLast=%GlobalDataLast                     #<!Contains 1 if the "Generate Last" option is set for %FileUsage = GLOBAL. Dependent on %GlobalData.
#ENDIF
#IF(%GlobalDataLevel<>%Null)
!%%GlobalDataLevel=%GlobalDataLevel                   #<!The indent level for formatting complex data structures. Dependent on %GlobalData.
#ENDIF
#!******************************************
#GROUP(%GroupModule)
#!******************************************
#IF(%Module<>%Null)
!%%Module=%Module                                     #<!These names of all source code modules. Multi-valued.
#ENDIF
#IF(%ModuleDescription<>%Null)
!%%ModuleDescription=%ModuleDescription               #<!Contains the description of the module.
#ENDIF
#IF(%ModuleLanguage<>%Null)
!%%ModuleLanguage=%ModuleLanguage                     #<!Contains the module target language.
#ENDIF
#IF(%ModuleTemplate<>%Null)
!%%ModuleTemplate=%ModuleTemplate                     #<!The name of the Module Template used to generate the module.
#ENDIF
#IF(%ModuleChanged<>%Null)
!%%ModuleChanged=%ModuleChanged                       #<!Contains 1 if anything in the module has changed since the last source generation.
#ENDIF
#IF(%ModuleExternal<>%Null)
!%%ModuleExternal=%ModuleExternal                     #<!Contains 1 if the module is external. (not generated by Clarion for Windows).
#ENDIF
#IF(%ModuleReadOnly<>%Null)
!%%ModuleReadOnly=%ModuleReadOnly                     #<!Contains 1 if the module is read only.
#ENDIF
#IF(%ModuleExtension<>%Null)
!%%ModuleExtension=%ModuleExtension                   #<!The file extension for the module.
#ENDIF
#IF(%ModuleBase<>%Null)
!%%ModuleBase=%ModuleBase                             #<!The name of the module (without extension).
#ENDIF
#IF(%ModuleInclude<>%Null)
!%%ModuleInclude=%ModuleInclude                       #<!The file to INCLUDE in the program MAP containing the module's prototypes.
#ENDIF
#!******************************************
#GROUP(%GroupModuleProcedure)
#!******************************************
#IF(%ModuleProcedure<>%Null)
!%%ModuleProcedure=%ModuleProcedure                   #<!The names of all procedures in the module. Multivalued.
#ENDIF
#!******************************************
#GROUP(%GroupModuleData)
#!******************************************
#IF(%ModuleData<>%Null)
!%%ModuleData=%ModuleData                             #<!The labels of all module variable declarations made through the Data button on the Module Properties window. Multi-valued.
#ENDIF
#IF(%ModuleDataStatement<>%Null)
!%%ModuleDataStatement=%ModuleDataStatement           #<!The variable's declaration statement (data type and all attributes). Dependent on %ModuleData.
#ENDIF
#IF(%ModuleDataUserOptions<>%Null)
!%%ModuleDataUserOptions=%ModuleDataUserOptions       #<!A string containing the entries the user made in the User Options text box on the Options tab for the variable. Dependent on %ModuleData.
#ENDIF
#!******************************************
#GROUP(%GroupProcedure)
#!******************************************
#IF(%Procedure<>%Null)
!%%Procedure=%Procedure                               #<!The names of all procedures in the application. Multivalued.
#ENDIF
#IF(%ProcedureToDo<>%Null)
!%%ProcedureToDo=%ProcedureToDo                       #<!Contains 1 if the procedure is "ToDo." Dependent on %Procedure.
#ENDIF
#IF(%ProcedureType<>%Null)
!%%ProcedureType=%ProcedureType                       #<!Contains PROCEDURE or FUNCTION. Dependent on %Procedure.
#ENDIF
#IF(%ProcedureReturnType<>%Null)
!%%ProcedureReturnType=%ProcedureReturnType           #<!The data type returned, if the procedure is a FUNCTION. Dependent on %Procedure.
#ENDIF
#IF(%ProcedureDateCreated<>%Null)
!%%ProcedureDateCreated=%ProcedureDateCreated         #<!The procedure creation date (a Clarion standard date). Dependent on %Procedure.
#ENDIF
#IF(%ProcedureDateChanged<>%Null)
!%%ProcedureDateChanged=%ProcedureDateChanged         #<!The date the procedure was last changed (a Clarion standard date). Dependent on %Procedure.
#ENDIF
#IF(%ProcedureTimeCreated<>%Null)
!%%ProcedureTimeCreated=%ProcedureTimeCreated         #<!The time the procedure was created (a Clarion standard time). Dependent on %Procedure.
#ENDIF
#IF(%ProcedureTimeChanged<>%Null)
!%%ProcedureTimeChanged=%ProcedureTimeChanged         #<!The time the procedure was last changed (a Clarion standard time). Dependent on %Procedure.
#ENDIF
#IF(%ProcedureReadOnly<>%Null)
!%%ProcedureReadOnly=%ProcedureReadOnly               #<!Contains 1 if the procedure is read only. Dependent on %Procedure.
#ENDIF
#IF(%ProcedureIsGlobal<>%Null)
!%%ProcedureIsGlobal=%ProcedureIsGlobal               #<!Contains 1 if the procedure is to be declared in the global MAP. Dependent on %Procedure.
#ENDIF
#IF(%Prototype<>%Null)
!%%Prototype=%Prototype                               #<!The procedure's prototype for the MAP structure. Dependent on %Procedure.
#ENDIF
#IF(%ProcedureTemplate<>%Null)
!%%ProcedureTemplate=%ProcedureTemplate               #<!The name of the Procedure Template used to generate the procedure. Dependent on %Procedure.
#ENDIF
#IF(%ProcedureDescription<>%Null)
!%%ProcedureDescription=%ProcedureDescription         #<!A short description of the procedure. Dependent on %Procedure.
#ENDIF
#IF(%ProcedureCategory<>%Null)
!%%ProcedureCategory=%ProcedureCategory               #<!The procedure's category. Dependent on %Procedure.
#ENDIF
#IF(%ProcedureExported<>%Null)
!%%ProcedureExported=%ProcedureExported               #<!Contains 1 if the procedure is in a DLL and is callable from outside the DLL. Dependent on %Procedure.
#ENDIF
#IF(%ProcedureLongDescription<>%Null)
!%%ProcedureLongDescription=%ProcedureLongDescription #<!A long description of the procedure. Dependent on %Procedure.
#ENDIF
#IF(%ProcedureLanguage<>%Null)
!%%ProcedureLanguage=%ProcedureLanguage               #<!The target language the procedure template generates. Dependent on %Procedure.
#ENDIF
#!******************************************
#GROUP(%GroupDriver)
#!******************************************
#IF(%Driver<>%Null)
!%%Driver=%Driver                                     #<!The names of all registered file drivers.
#ENDIF
#IF(%DriverDLL<>%Null)
!%%DriverDLL=%DriverDLL                               #<!The name of the driver's .DLL file. Dependent on %Driver.
#ENDIF
#IF(%DriverLIB<>%Null)
!%%DriverLIB=%DriverLIB                               #<!The name of the driver's .LIB file. Dependent on %Driver.
#ENDIF
#IF(%DriverDescription<>%Null)
!%%DriverDescription=%DriverDescription               #<!A description of the file driver. Dependent on %Driver.
#ENDIF
#IF(%DriverCreate<>%Null)
!%%DriverCreate=%DriverCreate                         #<!Contains 1 if the driver supports the CREATE attribute. Dependent on %Driver.
#ENDIF
#IF(%DriverOwner<>%Null)
!%%DriverOwner=%DriverOwner                           #<!Contains 1 if the driver supports the OWNER attribute. Dependent on %Driver.
#ENDIF
#IF(%DriverEncrypt<>%Null)
!%%DriverEncrypt=%DriverEncrypt                       #<!Contains 1 if the driver supports the ENCRYPT attribute. Dependent on %Driver.
#ENDIF
#IF(%DriverReclaim<>%Null)
!%%DriverReclaim=%DriverReclaim                       #<!Contains 1 if the driver supports the RECLAIM attribute. Dependent on %Driver.
#ENDIF
#IF(%DriverMaxKeys<>%Null)
!%%DriverMaxKeys=%DriverMaxKeys                       #<!The maximum number of keys the driver supports for each data file. Dependent on %Driver.
#ENDIF
#IF(%DriverUniqueKey<>%Null)
!%%DriverUniqueKey=%DriverUniqueKey                   #<!Contains 1 if the driver supports unique (no DUP attribute) keys. Dependent on %Driver.
#ENDIF
#IF(%DriverRequired<>%Null)
!%%DriverRequired=%DriverRequired                     #<!Contains 1 if the driver supports the OPT attribute. Dependent on %Driver.
#ENDIF
#IF(%DriverMemo<>%Null)
!%%DriverMemo=%DriverMemo                             #<!Contains 1 if the driver supports MEMO fields. Dependent on %Driver.
#ENDIF
#IF(%DriverBinMemo<>%Null)
!%%DriverBinMemo=%DriverBinMemo                       #<!Contains 1 if the driver supports the BINARY attribute on MEMO fields. Dependent on %Driver.
#ENDIF
#IF(%DriverSQL<>%Null)
!%%DriverSQL=%DriverSQL                               #<!Contains 1 if the driver is an SQL driver. Dependent on %Driver.
#ENDIF
#IF(%DriverOEM<>%Null)
!%%DriverOEM=%DriverOEM                               #<!Contains 1 if the driver supports the OEM attribute. Depenent on %Driver.
#ENDIF
#!******************************************
#GROUP(%GroupDriverType)
#!******************************************
#IF(%DriverType<>%Null)
!%%DriverType=%DriverType                             #<!All data types supported by the driver. Multi-valued. Dependent on %Driver.
#ENDIF
#!******************************************
#GROUP(%GroupDriverOpcode)
#!******************************************
#IF(%DriverOpcode<>%Null)
!%%DriverOpcode=%DriverOpcode                         #<!All operations supported by the driver. Multi-valued. Dependent on %Driver.
#ENDIF
#!******************************************
#GROUP(%GroupMiscellaneousSymbols)
#!******************************************
#IF(%ConditionalGenerate<>%Null)
!%%ConditionalGenerate=%ConditionalGenerate           #<!Contains 1 if the Conditional Generation box is checked on the Application Options window.
#ENDIF
#IF(%GenerateEmbedView<>%Null)
!%%GenerateEmbedView=%GenerateEmbedView               #<!Contains 1 if source code is being generated to build up the embedded source.
#ENDIF
#IF(%CWVersion<>%Null)
!%%CWVersion=%CWVersion                               #<!Contains the current version release number of Clarion. For example, for the first release of version 2.0, this contains 2000.
#ENDIF
#IF(%Null<>%Null)
!%%Null=%Null                                         #<!Contains nothing. This is used for comparison to detect empty symbols.
#ENDIF
#IF(%True<>%Null)
!%%True=%True                                         #<!Contains 1.
#ENDIF
#IF(%False<>%Null)
!%%False=%False                                       #<!Contains an empty string ('').
#ENDIF
#IF(%EOF<>%Null)
!%%EOF=%EOF                                           #<!Contains the value that flags the end of file when reading a file with #READ.
#ENDIF
#IF(%BytesOutput<>%Null)
!%%BytesOutput=%BytesOutput                           #<!Contains the number of bytes written to the current output file. This can be used to detect empty embed points (if no bytes were written, it contained nothing).
#ENDIF
#!IF(%OutputOffset<>%Null)
#!    !%%OutputOffset=%OutputOffset                   #<!Same as %BytesOutput.
#!ENDIF
#IF(%OutputIndent<>%Null)
!%%OutputIndent=%OutputIndent                         #<!Contains the implicit indentation level.
#ENDIF
#IF(%OutputColumn<>%Null)
!%%OutputColumn=%OutputColumn                         #<!Current column in the output file. Could be used for aligning to different columns.
#ENDIF
#IF(%CommentColumn<>%Null)
!%%CommentColumn=%CommentColumn                       #<!Contains the column where comments (#<) are generated.
#ENDIF
#IF(%EmbedID<>%Null)
!%%EmbedID=%EmbedID                                   #<!Contains the current embed point's identifying symbol.
#ENDIF
#IF(%EmbedDescription<>%Null)
!%%EmbedDescription=%EmbedDescription                 #<!The current embed point's description.
#ENDIF
#IF(%EmbedParameters<>%Null)
!%%EmbedParameters=%EmbedParameters                   #<!The current embed point's current instance, as a commadelimited list.
#ENDIF
#IF(%Win32<>%Null)
!%%Win32=%Win32                                       #<!Contains 1 if #RUNDLL with the WIN32 attribute can be executed.
#ENDIF
#IF(%UtilityArguments<>%Null)
!%%UtilityArguments=%UtilityArguments                 #<!Set to the parameter when executing a Utility template from a DDE call.
#ENDIF
#!******************************************
#GROUP(%GroupViewPrimaryFields)
#!******************************************
#IF(%ViewPrimaryFields<>%Null)
!%%ViewPrimaryFields=%ViewPrimaryFields               #<!The labels of all fields in the VIEW from the primary file. Multi-valued.
    #IF(%ViewPrimaryField<>%Null)
!%%ViewPrimaryField=%ViewPrimaryField                 #<!Dependent on %%ViewPrimaryFields. Contains the label of a field in the VIEW from the primary file.
    #ENDIF
#ENDIF
#!******************************************
#GROUP(%GroupViewFiles)
#!******************************************
#IF(%ViewFiles<>%Null)
!%%ViewFiles=%ViewFiles                               #<!The labels of all files in the VIEW. Multi-valued.
#ENDIF
#IF(%ViewFileStruct<>%Null)
!%%ViewFileStruct=%ViewFileStruct                     #<!The JOIN statement for a secondary file in the VIEW.
#ENDIF
#IF(%ViewFileStructEnd<>%Null)
!%%ViewFileStructEnd=%ViewFileStructEnd               #<!The keyword END.
#ENDIF
#IF(%ViewFile<>%Null)
!%%ViewFile=%ViewFile                                 #<!Contains the label of the file.
#ENDIF
#IF(%ViewJoinedTo<>%Null)
!%%ViewJoinedTo=%ViewJoinedTo                         #<!The label of the file to which the file is JOINed.
#ENDIF
#!******************************************
#GROUP(%GroupViewFileFields)
#!******************************************
#IF(%ViewFileFields<>%Null)
!%%ViewFileFields=%ViewFileFields                     #<!The labels of all fields in the file used in the VIEW. Multi-valued.
    #IF(%ViewFileField<>%Null)
!%%ViewFileField=%ViewFileField                       #<!Contains the label of the field in the file used in the VIEW. Dependent on %ViewFileFields.
    #ENDIF
#ENDIF
#!******************************************
#GROUP(%GroupKey)
#!******************************************
#IF(%Key<>%Null)
!%%Key=%Key                                           #<!The labels of all keys and indexes for the file. Multivalued.
#ENDIF
#IF(%KeyIdent<>%Null)
!%%KeyIdent=%KeyIdent                                 #<!The internal key number assigned by the Dictionary Editor and displayed in the IDENT in a .TXD file.
#ENDIF
#IF(%KeyDescription<>%Null)
!%%KeyDescription=%KeyDescription                     #<!A short description of the key.
#ENDIF
#IF(%KeyLongDesc<>%Null)
!%%KeyLongDesc=%KeyLongDesc                           #<!A long description of the key.
#ENDIF
#IF(%KeyFile<>%Null)
!%%KeyFile=%KeyFile                                   #<!The label of the file to which the key belongs.
#ENDIF
#IF(%KeyID<>%Null)
!%%KeyID=%KeyID                                       #<!The label of the key (without prefix).
#ENDIF
#IF(%KeyIndex<>%Null)
!%%KeyIndex=%KeyIndex                                 #<!Contains KEY, INDEX, or DYNAMIC.
#ENDIF
#IF(%KeyName<>%Null)
!%%KeyName=%KeyName                                   #<!Contents of the key's NAME attribute.
#ENDIF
#IF(%KeyAuto<>%Null)
!%%KeyAuto=%KeyAuto                                   #<!Contains the label of the auto-incrementing field.
#ENDIF
#IF(%KeyDuplicate<>%Null)
!%%KeyDuplicate=%KeyDuplicate                         #<!Contains 1 if the key has the DUP attribute. %KeyExcludeNulls Contains 1 if the key has the OPT attribute.
#ENDIF
#IF(%KeyNoCase<>%Null)
!%%KeyNoCase=%KeyNoCase                               #<!Contains 1 if the key has the NOCASE attribute.
#ENDIF
#IF(%KeyPrimary<>%Null)
!%%KeyPrimary=%KeyPrimary                             #<!Contains 1 if the key is the file's primary key.
#ENDIF
#IF(%KeyStruct<>%Null)
!%%KeyStruct=%KeyStruct                               #<!The key's declaration statement (label and all attributes).
#ENDIF
#IF(%KeyStatement<>%Null)
!%%KeyStatement=%KeyStatement                         #<!The key's attributes (only).
#ENDIF
#IF(%KeyQuickOptions<>%Null)
!%%KeyQuickOptions=%KeyQuickOptions                   #<!A comma-delimited string containing the choices the user made on the Options tab for the key.
#ENDIF
#IF(%KeyUserOptions<>%Null)
!%%KeyUserOptions=%KeyUserOptions                     #<!A string containing the entries the user made in the User Options text box on the Options tab for the key.
#ENDIF
#IF(%KeyToolOptions<>%Null)
!%%KeyToolOptions=%KeyToolOptions                     #<!A string containing the entries third-party tools have made in the TOOLOPTIONS section of the .TXD file for the key.
#ENDIF
#!******************************************
#GROUP(%GroupKeyField)
#!******************************************
#IF(%KeyField<>%Null)
!%%KeyField=%KeyField                                 #<!The labels of all component fields of the key. Multivalued.
#ENDIF
#IF(%KeyFieldSequence<>%Null)
!%%KeyFieldSequence=%KeyFieldSequence                 #<!Contains ASCENDING or DESCENDING. Dependent on %Keyfield.
#ENDIF
#!******************************************
#GROUP(%GroupKeyOrder)
#!******************************************
#IF(%KeyOrder<>%Null)
!%%KeyOrder=%KeyOrder                                 #<!The labels of all keys, indexes, and orders for the file. Multi-valued.
#ENDIF
#IF(%KeyOrderIdent<>%Null)
!%%KeyOrderIdent=%KeyOrderIdent                       #<!The internal key number assigned by the Dictionary Editor and displayed in the IDENT in a .TXD file.
#ENDIF
#IF(%KeyOrderDescription<>%Null)
!%%KeyOrderDescription=%KeyOrderDescription           #<!A short description of the key. %KeyOrderLongDesc A long description of the key.
#ENDIF
#IF(%KeyOrderFile<>%Null)
!%%KeyOrderFile=%KeyOrderFile                         #<!The label of the file to which the key belongs.
#ENDIF
#IF(%KeyOrderID<>%Null)
!%%KeyOrderID=%KeyOrderID                             #<!The label of the key (without prefix).
#ENDIF
#IF(%KeyOrderIndex<>%Null)
!%%KeyOrderIndex=%KeyOrderIndex                       #<!Contains KEY, INDEX, or DYNAMIC.
#ENDIF
#IF(%KeyOrderName<>%Null)
!%%KeyOrderName=%KeyOrderName                         #<!Contents of the key's NAME attribute.
#ENDIF
#IF(%KeyOrderAuto<>%Null)
!%%KeyOrderAuto=%KeyOrderAuto                         #<!Contains the label of the auto-incrementing field.
#ENDIF
#IF(%KeyOrderDuplicate<>%Null)
!%%KeyOrderDuplicate=%KeyOrderDuplicate               #<!Contains 1 if the key has the DUP attribute.
#ENDIF
#IF(%KeyOrderExcludeNulls<>%Null)
!%%KeyOrderExcludeNulls=%KeyOrderExcludeNulls         #<!Contains 1 if the key has the OPT attribute.
#ENDIF
#IF(%KeyOrderNoCase<>%Null)
!%%KeyOrderNoCase=%KeyOrderNoCase                     #<!Contains 1 if the key has the NOCASE attribute.
#ENDIF
#IF(%KeyOrderPrimary<>%Null)
!%%KeyOrderPrimary=%KeyOrderPrimary                   #<!Contains 1 if the key is the file's primary key.
#ENDIF
#IF(%KeyOrderStruct<>%Null)
!%%KeyOrderStruct=%KeyOrderStruct                     #<!The key's declaration statement (label and all attributes).
#ENDIF
#IF(%KeyOrderStatement<>%Null)
!%%KeyOrderStatement=%KeyOrderStatement               #<!The key's attributes (only).
#ENDIF
#IF(%KeyOrderQuickOptions<>%Null)
!%%KeyOrderQuickOptions=%KeyOrderQuickOptions         #<!A comma-delimited string containing the choices the user made on the Options tab for the key.
#ENDIF
#IF(%KeyOrderUserOptions<>%Null)
!%%KeyOrderUserOptions=%KeyOrderUserOptions           #<!A string containing the entries the user made in the User Options text box on the Options tab for the key.
#ENDIF
#IF(%KeyOrderToolOptions<>%Null)
!%%KeyOrderToolOptions=%KeyOrderToolOptions           #<!A string containing the entries third-party tools have made in the TOOLOPTIONS section of the .TXD file for the key.
#ENDIF
#!******************************************
#GROUP(%GroupRelation)
#!******************************************
#IF(%Relation<>%Null)
!%%Relation=%Relation                                 #<!The labels of all files that are related to the file. Multi-Valued.
#ENDIF
#IF(%RelationPrefix<>%Null)
!%%RelationPrefix=%RelationPrefix                     #<!The prefix of the related file.
#ENDIF
#IF(%RelationAlias<>%Null)
!%%RelationAlias=%RelationAlias                       #<!Contains the name of the file being aliased if the current file named in %Relation is an alias.
#ENDIF
#IF(%FileRelationType<>%Null)
!%%FileRelationType=%FileRelationType                 #<!Contains 1:MANY or MANY:1.
#ENDIF
#IF(%RelationKey<>%Null)
!%%RelationKey=%RelationKey                           #<!The label of the related file's linking key.
#ENDIF
#IF(%RelationPrimaryKey<>%Null)
!%%RelationPrimaryKey=%RelationPrimaryKey             #<!The label of the related file's primary key.
#ENDIF
#IF(%FileKey<>%Null)
!%%FileKey=%FileKey                                   #<!The label of the file's linking key.
#ENDIF
#IF(%RelationDriver<>%Null)
!%%RelationDriver=%RelationDriver                     #<!The label of the related file's driver.
#ENDIF
#IF(%RelationConstraintDelete<>%Null)
!%%RelationConstraintDelete=%RelationConstraintDelete #<!May contain: RESTRICT, CASCADE, or CLEAR.
#ENDIF
#IF(%RelationConstraintUpdate<>%Null)
!%%RelationConstraintUpdate=%RelationConstraintUpdate #<!May contain: RESTRICT, CASCADE, or CLEAR.
#ENDIF
#IF(%RelationQuickOptions<>%Null)
!%%RelationQuickOptions=%RelationQuickOptions         #<!A comma-delimited string containing the choices the user made on the Options tab for the relation.
#ENDIF
#IF(%RelationUserOptions<>%Null)
!%%RelationUserOptions=%RelationUserOptions           #<!A string containing the entries the user made in the User Options text box on the Options tab for the relation.
#ENDIF
#IF(%RelationToolOptions<>%Null)
!%%RelationToolOptions=%RelationToolOptions           #<!A string containing the entries third-party tools have made in the TOOLOPTIONS section of the .TXD file for the relation.
#ENDIF
#!******************************************
#GROUP(%GroupRelationKeyField)
#!******************************************
#IF(%RelationKeyField<>%Null)
!%%RelationKeyField=%RelationKeyField                 #<!The labels of all linking fields in the related file's key. Multi-valued.
#ENDIF
#IF(%RelationKeyFieldLink<>%Null)
!%%RelationKeyFieldLink=%RelationKeyFieldLink         #<!The label of the linking field in the file's key. Dependent on %RelationKeyField.
#ENDIF
#!******************************************
#GROUP(%GroupFileKeyField)
#!******************************************
#IF(%FileKeyField<>%Null)
!%%FileKeyField=%FileKeyField                         #<!The labels of all linking fields in the file's key. Multivalued.
#ENDIF
#IF(%FileKeyFieldLink<>%Null)
!%%FileKeyFieldLink=%FileKeyFieldLink                 #<!The label of the linking field in the related file's key. Dependent on %FileKeyField.
#ENDIF
#!******************************************
#GROUP(%GroupField)
#!******************************************
#IF(%Field<>%Null)
!%%Field=%Field                                       #<!The labels of all fields in the file (including MEMO fields). Multi-valued.Dependent on %%File.
#ENDIF
#IF(%FieldIdent<>%Null)
!%%FieldIdent=%FieldIdent                             #<!The internal field number assigned by the Dictionary Editor and displayed in the IDENT in a .TXD file.
#ENDIF
#IF(%FieldDerivedFrom<>%Null)
!%%FieldDerivedFrom=%FieldDerivedFrom                 #<!Label of the field from which the field was derived (including prefix).
#ENDIF
#IF(%FieldDescription<>%Null)
!%%FieldDescription=%FieldDescription                 #<!A short description of the field.
#ENDIF
#IF(%FieldLongDesc<>%Null)
!%%FieldLongDesc=%FieldLongDesc                       #<!A long description of the field.
#ENDIF
#IF(%FieldFile<>%Null)
!%%FieldFile=%FieldFile                               #<!The label of the file containing the field.
#ENDIF
#IF(%FieldID<>%Null)
!%%FieldID=%FieldID                                   #<!Label of the field without prefix.
#ENDIF
#IF(%FieldDisplayPicture<>%Null)
!%%FieldDisplayPicture=%FieldDisplayPicture           #<!Default display picture.
#ENDIF
#IF(%FieldRecordPicture<>%Null)
!%%FieldRecordPicture=%FieldRecordPicture             #<!STRING field storage definition picture.
#ENDIF
#IF(%FieldDimension1<>%Null)
!%%FieldDimension1=%FieldDimension1                   #<!Maximum value of first array dimension.
#ENDIF
#IF(%FieldDimension2<>%Null)
!%%FieldDimension2=%FieldDimension2                   #<!Maximum value of second array dimension.
#ENDIF
#IF(%FieldDimension3<>%Null)
!%%FieldDimension3=%FieldDimension3                   #<!Maximum value of third array dimension.
#ENDIF
#IF(%FieldDimension4<>%Null)
!%%FieldDimension4=%FieldDimension4                   #<!Maximum value of fourth array dimension.
#ENDIF
#IF(%FieldHelpID<>%Null)
!%%FieldHelpID=%FieldHelpID                           #<!Contents of the HLP attribute.
#ENDIF
#IF(%FieldName<>%Null)
!%%FieldName=%FieldName                               #<!Contents of the field's NAME attribute.
#ENDIF
#IF(%FieldRangeLow<>%Null)
!%%FieldRangeLow=%FieldRangeLow                       #<!The lower range of valid values for the field.
#ENDIF
#IF(%FieldRangeHigh<>%Null)
!%%FieldRangeHigh=%FieldRangeHigh                     #<!The upper range of valid values for the field.
#ENDIF
#IF(%FieldType<>%Null)
!%%FieldType=%FieldType                               #<!Data type of the field.
#ENDIF
#IF(%FieldPlaces<>%Null)
!%%FieldPlaces=%FieldPlaces                           #<!Number of decimal places for the field.
#ENDIF
#IF(%FieldMemoSize<>%Null)
!%%FieldMemoSize=%FieldMemoSize                       #<!Maximum size of the MEMO.
#ENDIF
#IF(%FieldMemoImage<>%Null)
!%%FieldMemoImage=%FieldMemoImage                     #<!Contains 1 if the MEMO has a BINARY attribute.
#ENDIF
#IF(%FieldInitial<>%Null)
!%%FieldInitial=%FieldInitial                         #<!Initial value for the field.
#ENDIF
#IF(%FieldLookup<>%Null)
!%%FieldLookup=%FieldLookup                           #<!File to access to validate this field's value.
#ENDIF
#IF(%FieldStruct<>%Null)
!%%FieldStruct=%FieldStruct                           #<!The field's declaration statement (label , data type, and all attributes).
#ENDIF
#IF(%FieldStatement<>%Null)
!%%FieldStatement=%FieldStatement                     #<!The field's declaration statement (data type and all attributes).
#ENDIF
#IF(%FieldHeader<>%Null)
!%%FieldHeader=%FieldHeader                           #<!The field's default report column header.
#ENDIF
#IF(%FieldPicture<>%Null)
!%%FieldPicture=%FieldPicture                         #<!Default display picture.
#ENDIF
#IF(%FieldJustType<>%Null)
!%%FieldJustType=%FieldJustType                       #<!Contains L, R, C, or D for the field's justification.
#ENDIF
#IF(%FieldJustIndent<>%Null)
!%%FieldJustIndent=%FieldJustIndent                   #<!The justification offset amount.
#ENDIF
#IF(%FieldFormatWidth<>%Null)
!%%FieldFormatWidth=%FieldFormatWidth                 #<!The default width for the field's ENTRY control.
#ENDIF
#IF(%FieldValidation<>%Null)
!%%FieldValidation=%FieldValidation                   #<!The choice the user made on the Validity Checks tab for the field. Can contain either NONZERO, INRANGE, BOOLEAN, INFILE, or INLIST.
#ENDIF
#IF(%FieldTrueValue<>%Null)
!%%FieldTrueValue=%FieldTrueValue                     #<!The true choice the user entered to override the VALUE attribute (%FieldValidation contains BOOLEAN).
#ENDIF
#IF(%FieldFalseValue<>%Null)
!%%FieldFalseValue=%FieldFalseValue                   #<!The false choice the user entered to override the VALUE attribute (%FieldValidation contains BOOLEAN).
#ENDIF
#IF(%FieldQuickOptions<>%Null)
!%%FieldQuickOptions=%FieldQuickOptions               #<!A comma-delimited string containing the choices the user made on the Options tab for the field.
#ENDIF
#IF(%FieldUserOptions<>%Null)
!%%FieldUserOptions=%FieldUserOptions                 #<!A string containing the entries the user made in the User Options text box of the Options tab for the field.
#ENDIF
#IF(%FieldToolOptions<>%Null)
!%%FieldToolOptions=%FieldToolOptions                 #<!A string containing the entries third-party tools have made in the TOOLOPTIONS section of the .TXD file for the field.
#ENDIF
#!******************************************
#GROUP(%GroupFieldDisplayChoices)
#!******************************************
#IF(%FieldDisplayChoices<>%Null)
!%%FieldDisplayChoice=%FieldDisplayChoice             #<!The choices the user entered in the display override field for a Must Be In List field (%FieldValidation contains INLIST). Multi-valued.
#ENDIF
#!******************************************
#GROUP(%GroupFieldScreenControl)
#!******************************************
#IF(%FieldScreenControl<>%Null)
!%%FieldScreenControl=%FieldScreenControl             #<!The fields screen control as defined in the data dictionary. Multi-valued.
#ENDIF
#IF(%FieldScreenControlWidth<>%Null)
!%%FieldScreenControlWidth=%FieldScreenControlWidth   #<!Either the default from the runtime library, or the explicitly set width in the data dictionary for the fields screen control. Dependent on %FieldScreenControl.
#ENDIF
#IF(%FieldScreenControlHeight<>%Null)
!%%FieldScreenControlHeight=%FieldScreenControlHeight #<!Either the default from the runtime library, or the explicitly set height in the data dictionary for the field's screen control. Dependent on %FieldScreenControl.
#ENDIF
#!******************************************
#GROUP(%GroupFieldReportControl)
#!******************************************
#IF(%FieldReportControl<>%Null)
!%%FieldReportControl=%FieldReportControl             #<!The field's report control as defined in the data dictionary. Multi-valued.
#ENDIF
#IF(%FieldReportControlWidth<>%Null)
!%%FieldReportControlWidth=%FieldReportControlWidth   #<!Either the default from the runtime library, or the explicitly set width in the data dictionary for the field's report control. Dependent on %FieldReportControl.
#ENDIF
#IF(%FieldReportControlHeight<>%Null)
!%%FieldReportControlHeight=%FieldReportControlHeight #<!Either the default from the runtime library, or the explicitly set height in the data dictionary for the field's report control. Dependent on %FieldReportControl.
#ENDIF
#!******************************************
#GROUP(%GroupFieldChoices)
#!******************************************
#IF(%FieldChoices<>%Null)
!%%FieldChoices=%FieldChoices                         #<!The choices the user entered for a Must Be In List field (%FieldValidation contains INLIST). Multi-valued.
#ENDIF
#!******************************************
#GROUP(%GroupFieldValues)
#!******************************************
#IF(%FieldValues<>%Null)
!%%FieldValues=%FieldValues                           #<!The choices the user entered to override the VALUE attribute for the %FieldChoices symbol. Multi-valued.
#ENDIF
#!******************************************
#GROUP(%GroupPrimary)
#!******************************************
#IF(%Primary<>%Null)
!%%Primary=%Primary                                   #<!The label of a Primary file listed in the procedure's File Schematic for the procedure or a control template used in the procedure.
#ENDIF
#IF(%PrimaryKey<>%Null)
!%%PrimaryKey=%PrimaryKey                             #<!The label of the access key for the primary file. Dependent on %Primary.
#ENDIF
#IF(%PrimaryInstance<>%Null)
!%%PrimaryInstance=%PrimaryInstance                   #<!The control template instance number for which the file is primary. Dependent on %Primary.
#ENDIF
#!******************************************
#GROUP(%GroupSecondary)
#!******************************************
#IF(%Secondary<>%Null)
!%%Secondary=%Secondary                               #<!The labels of all Secondary files listed in the File Schematic for the procedure or a control template used in the procedure. Multi-valued. Dependent on %Primary.
#ENDIF
#IF(%SecondaryTo<>%Null)
!%%SecondaryTo=%SecondaryTo                           #<!The label of the Secondary or Primary file to which the Secondary file is related (the file "above" it as listed in the procedure's File Schematic). Dependent on %Secondary.
#ENDIF
#IF(%SecondaryType<>%Null)
!%%SecondaryType=%SecondaryType                       #<!Contains 1:MANY or MANY:1. Dependent on %Secondary.
#ENDIF
#IF(%SecondaryCustomJoin<>%Null)
!%%SecondaryCustomJoin=%SecondaryCustomJoin           #<!Contains 1 if the JOIN is a custom join. Dependent on %Secondary.
#ENDIF
#IF(%SecondaryCustomText<>%Null)
!%%SecondaryCustomText=%SecondaryCustomText           #<!Contains the text defining the custom join. Dependent on %Secondary.
#ENDIF
#IF(%SecondaryInner<>%Null)
!%%SecondaryInner=%SecondaryInner                     #<!Contains a 1 if the custom relationship uses an INNER join.
#ENDIF
#!******************************************
#GROUP(%GroupProcedureCalled)
#!******************************************
#IF(%ProcedureCalled<>%Null)
!%%ProcedureCalled=%ProcedureCalled                   #<!The names of all procedures listed by the Procedures button on the Procedure Properties window. Multivalued. Dependent on %Procedure.
#ENDIF
#!******************************************
#GROUP(%GroupLocalData)
#!******************************************
#IF(%LocalData<>%Null)
!%%LocalData=%LocalData                               #<!The labels of all local variable declarations made through the Data button on the Procedure Properties window. Multi-valued. Dependent on %Procedure.
#ENDIF
#IF(%LocalDataStatement<>%Null)
!%%LocalDataStatement=%LocalDataStatement             #<!The variable's declaration statement (data type and all attributes). Dependent on %LocalData.
#ENDIF
#IF(%LocalDataDescription<>%Null)
!%%LocalDataDescription=%LocalDataDescription         #<!A short description of the field. Dependent on %LocalData.
#ENDIF
#IF(%LocalDataHeader<>%Null)
!%%LocalDataHeader=%LocalDataHeader                   #<!The field's default report column header. Dependent on %LocalData.
#ENDIF
#IF(%LocalDataPicture<>%Null)
!%%LocalDataPicture=%LocalDataPicture                 #<!Default display picture. Dependent on %LocalData.
#ENDIF
#IF(%LocalDataJustType<>%Null)
!%%LocalDataJustType=%LocalDataJustType               #<!Contains L, R, C, or D for the field's justification. Dependent on %LocalData.
#ENDIF
#IF(%LocalDataJustIndent<>%Null)
!%%LocalDataJustIndent=%LocalDataJustIndent           #<!The justification offset amount. Dependent on %LocalData.
#ENDIF
#IF(%LocalDataFormatWidth<>%Null)
!%%LocalDataFormatWidth=%LocalDataFormatWidth         #<!The default width for the field's ENTRY control. Dependent on %LocalData.
#ENDIF
#IF(%LocalDataUserOptions<>%Null)
!%%LocalDataUserOptions=%LocalDataUserOptions         #<!A string containing the entries the user made in the User Options text box on the Options tab for the local variable. Dependent on %LocalData.
#ENDIF
#!******************************************
#GROUP(%GroupActiveTemplate)
#!******************************************
#IF(%ActiveTemplate<>%Null)
!%%ActiveTemplate=%ActiveTemplate                     #<!The names of all control templates used in the procedure. Multi-valued. Dependent on %Procedure.
#ENDIF
#IF(%ActiveTemplateType<>%Null)
!%%ActiveTemplateType=%ActiveTemplateType             #<!The type of all control templates used in the procedure. Multi-valued. Dependent on %Procedure. Returns CODE, EXTENSION or CONTROL.
#ENDIF
#!******************************************
#GROUP(%GroupActiveTemplateInstance)
#!******************************************
#IF(%ActiveTemplateInstance<>%Null)
!%%ActiveTemplateInstance=%ActiveTemplateInstance     #<!The instance numbers of all control templates used in the procedure. Multi-valued. Dependent on %ActiveTemplate.
#ENDIF
#IF(%ActiveTemplateOwnerInstance<>%Null)
!%%ActiveTemplateOwnerInstance=%ActiveTemplateOwnerInstance  #<!The instance number of the extension template which auto-populated the current extension template into a procedure through use of the parameter to the APPLICATION attribute on a #EXTENSION statement. Dependent on %ActiveTemplateInstance.
#ENDIF
#IF(%ActiveTemplateParentInstance<>%Null)
!%%ActiveTemplateParentInstance=%ActiveTemplateParentInstance     #<!The instance number of the control template's parent control template. This is the control template that it is "attached" to. Dependent on %ActiveTemplateInstance.
#ENDIF
#IF(%ActiveTemplatePrimaryInstance<>%Null)
!%%ActiveTemplatePrimaryInstance=%ActiveTemplatePrimaryInstance   #<!The instance number of the control template's primary control template. This is the first control template in a succession of multiple related control templates. Dependent on %ActiveTemplateInstance.
#ENDIF
#IF(%ActiveTemplateInstanceDescription<>%Null)
!%%ActiveTemplateInstanceDescription=%ActiveTemplateInstanceDescription    #<!The description of the control template. Dependent on %ActiveTemplateInstance.
#ENDIF
#!******************************************
#GROUP(%GroupOtherFiles)
#!******************************************
#IF(%OtherFiles<>%Null)
!%%OtherFiles=%OtherFiles                             #<!The labels of all Other Data files listed for the procedure. Multi-valued.
#ENDIF
#!******************************************
#GROUP(%GroupWindow)
#!******************************************
#IF(%Window<>%Null)
!%%Window=%Window                                     #<!The label of the procedure's window. Dependent on %Procedure.
#ENDIF
#IF(%WindowStatement<>%Null)
!%%WindowStatement=%WindowStatement                   #<!The WINDOW or APPLICATION declaration statement (and all attributes). Dependent on %Window.
#ENDIF
#IF(%MenuBarStatement<>%Null)
!%%MenuBarStatement=%MenuBarStatement                 #<!The MENUBAR declaration statement (and all attributes). Dependent on %Window.
#ENDIF
#IF(%ToolbarStatement<>%Null)
!%%ToolbarStatement=%ToolbarStatement                 #<!The TOOLBAR declaration statement (and all attributes). Dependent on %Window.
#ENDIF
#IF(%WindowEvent<>%Null)
!%%WindowEvent=%WindowEvent                           #<!All field-independent events, as listed in the EQUATES.CLW file (without EVENT: prepended). Multi-valued. Dependent on %Window.
#ENDIF
#!******************************************
#GROUP(%GroupControl)
#!******************************************
#IF(%Control<>%Null)
!%%Control=%Control                                   #<!The field equate labels of all controls in the window. Multi-valued. Dependent on %Window.
#ENDIF
#IF(%ControlUse<>%Null)
!%%ControlUse=%ControlUse                             #<!The control's USE variable (not field equate). Dependent on %Control.
#ENDIF
#IF(%ControlStatement<>%Null)
!%%ControlStatement=%ControlStatement                 #<!The control's declaration statement (and all attributes). This may contain multiple lines of code if the declaration is too long to fit on a single line. Dependent on %Control.
#ENDIF
#IF(%ControlUnsplitStatement<>%Null)
!%%ControlUnsplitStatement=%ControlUnsplitStatement   #<!The control's declaration statement (and all attributes) without line spliting. Dependent on %Control.
#ENDIF
#IF(%ControlType<>%Null)
!%%ControlType=%ControlType                           #<!The type of control (MENU, ITEM, ENTRY, BUTTON, etc.). Dependent on %Control.
#ENDIF
#IF(%ControlTemplate<>%Null)
!%%ControlTemplate=%ControlTemplate                   #<!The name of the control template which populated the control onto the window. Dependent on %Control.
#ENDIF
#IF(%ControlTool<>%Null)
!%%ControlTool=%ControlTool                           #<!Contains 1 if the control is in a TOOLBAR. Dependent on %Control.
#ENDIF
#IF(%ControlParent<>%Null)
!%%ControlParent=%ControlParent                       #<!Contains the field equate label of the control's parent, if it is in a control structure (OPTION, GROUP, etc.). Dependent on %Control.
#ENDIF
#IF(%ControlParentType<>%Null)
!%%ControlParentType=%ControlParentType               #<!Contains the type of control of the control's parent, if it is in a control structure (OPTION, GROUP, etc.). Dependent on %ControlParent.
#ENDIF
#IF(%ControlParentTab<>%Null)
!%%ControlParentTab=%ControlParentTab                 #<!Contains the field equate label of the TAB on which the control has been placed. Dependent on %Control.
#ENDIF
#IF(%ControlParameter<>%Null)
!%%ControlParameter=%ControlParameter                 #<!The control's parameter (the value ion the parentheses). Dependent on %Control.
#ENDIF
#IF(%ControlHasIcon<>%Null)
!%%ControlHasIcon=%ControlHasIcon                     #<!Contains 1 if the LIST or COMBO control contains any icon attributes. Dependent on %Control.
#ENDIF
#IF(%ControlHasColor<>%Null)
!%%ControlHasColor=%ControlHasColor                   #<!Contains 1 if the LIST or COMBO control contins any color attributes. Dependent on %Control.
#ENDIF
#IF(%ControlHasStyle<>%Null)
!%%ControlHasStyle=%ControlHasStyle                   #<!Contains 1 if the LIST or COMBO control contains any style attributes. Dependent on %Control.
#ENDIF
#IF(%ControlHasTree<>%Null)
!%%ControlHasTree=%ControlHasTree                     #<!Contains 1 if the LIST or COMBO control contains any tree attributes. Dependent on %Control.
#ENDIF
#IF(%ControlDefaultWidth<>%Null)
!%%ControlDefaultWidth=%ControlDefaultWidth           #<!The control's estimated default width. Dependent on %Control.
#ENDIF
#IF(%ControlDefaultHeight<>%Null)
!%%ControlDefaultHeight=%ControlDefaultHeight         #<!The control's estimated default height. Dependent on %Control.
#ENDIF
#IF(%ControlMenu<>%Null)
!%%ControlMenu=%ControlMenu                           #<!Contains 1 if the control is in a MENUBAR. Dependent on %Control.
#ENDIF
#IF(%ControlToolBar<>%Null)
!%%ControlToolBar=%ControlToolBar                     #<!Contains the TOOLBAR declaration statement (and all attributes) if the control is the first control in a toolbar. Dependent on %Control.
#ENDIF
#IF(%ControlMenuBar<>%Null)
!%%ControlMenuBar=%ControlMenuBar                     #<!Contains the MENUBAR declaration statement (and all attributes) if the control is the first control in a menu. Dependent on %Control.
#ENDIF
#IF(%ControlIndent<>%Null)
!%%ControlIndent=%ControlIndent                       #<!The control declaration's indentation level in the generated data structure. Dependent on %Control.
#ENDIF
#IF(%ControlInstance<>%Null)
!%%ControlInstance=%ControlInstance                   #<!The instance number of the control template which populated the control onto the window. Dependent on %Control.
#ENDIF
#IF(%ControlOriginal<>%Null)
!%%ControlOriginal=%ControlOriginal                   #<!The original field equate label of the control as listed in the control template from which it came. Dependent on %Control.
#ENDIF
#IF(%ControlFrom<>%Null)
!%%ControlFrom=%ControlFrom                           #<!The FROM attribute of a LIST or COMBO control. Dependent on %Control.
#ENDIF
#!******************************************
#GROUP(%GroupControlAlert)
#!******************************************
#IF(%ControlAlert<>%Null)
!%%ControlAlert=%ControlAlert                         #<!All ALRT attributes for the control. Multi-valued. Dependent on %Control.
#ENDIF
#!******************************************
#GROUP(%GroupControlEvent)
#!******************************************
#IF(%ControlEvent<>%Null)
!%%ControlEvent=%ControlEvent                         #<!All field-specific events appropriate for the control, as listed in the EQUATES.CLW file (without the EVENT: prepended). Multi-valued. Dependent on %Control.
#ENDIF
#!******************************************
#GROUP(%GroupControlField)
#!******************************************
#IF(%ControlField<>%Null)
!%%ControlField=%ControlField                         #<!All fields populated into the LIST, COMBO, or SPIN control. Multi-valued. Dependent on %Control.
#ENDIF
#IF(%ControlFieldHasIcon<>%Null)
!%%ControlFieldHasIcon=%ControlFieldHasIcon           #<!Contains 1 if the field in the LIST or COMBO control is formatted to have an icon. Dependent on %ControlField.
#ENDIF
#IF(%ControlFieldHasColor<>%Null)
!%%ControlFieldHasColor=%ControlFieldHasColor         #<!Contains 1 if the field in the LIST or COMBO control is formatted to have colors. Dependent on %ControlField.
#ENDIF
#IF(%ControlFieldHasTree<>%Null)
!%%ControlFieldHasTree=%ControlFieldHasTree           #<!Contains 1 if the field in the LIST or COMBO control is formatted to be a tree. Dependent on %ControlField.
#ENDIF
#IF(%ControlFieldHasLocator<>%Null)
!%%ControlFieldHasLocator=%ControlFieldHasLocator     #<!Contains 1 if the field in the LIST or COMBO control is formatted to be a locator. Dependent on %ControlField.
#ENDIF
#IF(%ControlFieldPicture<>%Null)
!%%ControlFieldPicture=%ControlFieldPicture           #<!Contains the picture token of the field in the LIST or COMBO control. Dependent on %ControlField.
#ENDIF
#IF(%ControlFieldHeader<>%Null)
!%%ControlFieldHeader=%ControlFieldHeader             #<!Contains the header text of the field in the LIST or COMBO control. Dependent on %ControlField.
#ENDIF
#IF(%ControlFieldFormat<>%Null)
!%%ControlFieldFormat=%ControlFieldFormat             #<!Contains the portion of the FORMAT attribute string that applies to the field in the LIST or COMBO control. Dependent on %ControlField.
#ENDIF
#!******************************************
#GROUP(%GroupFormula)
#!******************************************
#IF(%Formula<>%Null)
!%%Formula=%Formula                                   #<!The label of the result field for each formula. Multivalued. Dependent on %Procedure.
#ENDIF
#IF(%FormulaDescription<>%Null)
!%%FormulaDescription=%FormulaDescription             #<!A description of the formula.
#ENDIF
#IF(%FormulaClass<>%Null)
!%%FormulaClass=%FormulaClass                         #<!An identifier for the position in generated source to place the formula.
#ENDIF
#IF(%FormulaInstance<>%Null)
!%%FormulaInstance=%FormulaInstance                   #<!The control template instance number for a formula whose class has been declared in a control template.
#ENDIF
#!******************************************
#GROUP(%GroupFormulaExpression)
#!******************************************
#IF(%FormulaExpression<>%Null)
!%%FormulaExpression=%FormulaExpression               #<!The expression to conditionally evaluate or assign to the result field for each formula. Multi-valued. Dependent on %Formula.
#ENDIF
#IF(%FormulaExpressionType<>%Null)
!%%FormulaExpressionType=%FormulaExpressionType       #<!Contains =, IF, ELSE, CASE, or OF. Dependent on %FormulaExpression.
#ENDIF
#IF(%FormulaExpressionTrue<>%Null)
!%%FormulaExpressionTrue=%FormulaExpressionTrue       #<!Contains the line number of the true expression in the generated formula. Dependent on %FormulaExpression.
#ENDIF
#IF(%FormulaExpressionFalse<>%Null)
!%%FormulaExpressionFalse=%FormulaExpressionFalse     #<!Contains the line number of the false expression in the generated formula. Dependent on %FormulaExpression.
#ENDIF
#IF(%FormulaExpressionOf<>%Null)
!%%FormulaExpressionOf=%FormulaExpressionOf           #<!Contains the line number of the OF expression in the generated formula. Dependent on %FormulaExpression.
#ENDIF
#IF(%FormulaExpressionCase<>%Null)
!%%FormulaExpressionCase=%FormulaExpressionCase       #<!Contains the line number of the assignment in the generated formula. Dependent on %FormulaExpression.
#ENDIF
#!******************************************
#GROUP(%GroupReport)
#!******************************************
#IF(%Report<>%Null)
!%%Report=%Report                                     #<!The label of the procedure's report. Dependent on %Procedure.
#ENDIF
#IF(%ReportStatement<>%Null)
!%%ReportStatement=%ReportStatement                   #<!The REPORT declaration statement (and all attributes). Dependent on %Report.
#ENDIF
#!******************************************
#GROUP(%GroupReportControl)
#!******************************************
#IF(%ReportControl<>%Null)
!%%ReportControl=%ReportControl                       #<!The field equate labels of all controls in the report. Multi-valued. Dependent on %Report.
#ENDIF
#IF(%ReportControlUse<>%Null)
!%%ReportControlUse=%ReportControlUse                 #<!The control's USE variable (not field equate). Dependent on %ReportControl.
#ENDIF
#IF(%ReportControlStatement<>%Null)
!%%ReportControlStatement=%ReportControlStatement     #<!The control's declaration statement (and all attributes). Dependent on %ReportControl.
#ENDIF
#IF(%ReportControlType<>%Null)
!%%ReportControlType=%ReportControlType               #<!The type of control (MENU, ITEM, ENTRY, BUTTON, etc.). Dependent on %ReportControl.
#ENDIF
#IF(%ReportControlTemplate<>%Null)
!%%ReportControlTemplate=%ReportControlTemplate       #<!The name of the control template which populated the control onto the report. Dependent on %ReportControl.
#ENDIF
#IF(%ReportControlIndent<>%Null)
!%%ReportControlIndent=%ReportControlIndent           #<!The control declaration's indentation level in the generated data structure. Dependent on %ReportControl.
#ENDIF
#IF(%ReportControlInstance<>%Null)
!%%ReportControlInstance=%ReportControlInstance       #<!The instance number of the control template which populated the control onto the report. Dependent on %ReportControl.
#ENDIF
#IF(%ReportControlOriginal<>%Null)
!%%ReportControlOriginal=%ReportControlOriginal       #<!The original field equate label of the control as listed in the control template from which it came. Dependent on %ReportControl.
#ENDIF
#IF(%ReportControlLabel<>%Null)
!%%ReportControlLabel=%ReportControlLabel             #<!The label of the report STRING control. Dependent on %ReportControl.
#ENDIF
#!******************************************
#GROUP(%GroupReportControlField)
#!******************************************
#IF(%ReportControlField<>%Null)
!%%ReportControlField=%ReportControlField             #<!All fields populateed into the LIST, COMBO, or SPIN control. Multi-valued. Dependent on %ReportControl.
#ENDIF