// WinHookc.cpp : Defines the entry point for the DLL application.
//

#include "stdafx.h"
#include <windows.h> 
#include "winhookc.h"

LRESULT CALLBACK MyKeyboardHook (int code, WPARAM wParam, LPARAM lParam) ;
LRESULT CALLBACK MyMouseHook (int code, WPARAM wParam, LPARAM lParam) ;

HINSTANCE hInst ;


#pragma data_seg("MYDATA")  

HHOOK hKeyboard = NULL ; // must be an initialized data else it does not create a new section
HHOOK hMouse    = NULL ; // must be an initialized data else it does not create a new section
DWORD dwCount   = 0 ;    // must be an initialized data else it does not create a new section

#pragma data_seg ()
#pragma comment (linker, "/section:MYDATA,rws") 



BOOL APIENTRY DllMain( HANDLE hModule, 
                       DWORD  ul_reason_for_call, 
                       LPVOID lpReserved
					 ) 
{ 
	hInst = (HINSTANCE)hModule ;
    return TRUE;
}

BOOL _declspec(dllexport) SetGlobalIdleHook (void)
{ 
	hKeyboard = SetWindowsHookEx (WH_KEYBOARD, MyKeyboardHook, hInst, 0) ;
	hMouse    = SetWindowsHookEx (WH_MOUSE, MyMouseHook, hInst, 0) ;

	return TRUE ;
}

DWORD _declspec(dllexport) GetLastInputTime (void) 
{
	return dwCount ;
}


LRESULT CALLBACK MyKeyboardHook (int code, WPARAM wParam, LPARAM lParam) 
{
	dwCount = GetTickCount () ; 
	MessageBox (NULL, "w" , "w", MB_OK) ;
	return CallNextHookEx (hKeyboard, code, wParam, lParam) ;
}

LRESULT CALLBACK MyMouseHook (int code, WPARAM wParam, LPARAM lParam) 
{
	dwCount = GetTickCount () ; 
	return CallNextHookEx (hMouse, code, wParam, lParam) ;
}



