  member()

  include ('CFileMapping.inc') 

  map
  MyKeyboardHook (long nCode, long wParam, long lParam), pascal, long
  MyMouseHook (long nCode, long wParam, long lParam), pascal, long
  module ('win32')
    GetTickCount (), pascal, long
    SetWindowsHookEx (long idHook, long lpfn, long hMod, long dwThreadId), pascal, long, name('SetWindowsHookExa')
    UnhookWindowsHookEx (long hhk), pascal, byte
    CallNextHookEx (long hhk, long nCode, long wParam, long lParam), pascal, long
    GetModuleHandle (long szDll), long, pascal, name('GetModuleHandleA')
  end
  module ('Win32')
    CreateFileMappingA(long hFile, long lpAttributes, long flProtect, long dwMaximumSizeHigh, long dwMaximumSizeLow, long lpName), long, pascal
    OpenFileMapping(long dwDesiredAccess, byte bInheritHandle, long lpName), long, pascal
    CloseHandle(long hObject), byte, pascal
    MapViewOfFile(long hFileMappingObject, long dwDesiredAccess, long dwFileOffsetHigh, long dwFileOffsetLow, long dwNumberOfBytesToMap), long, pascal
  end
  end

!==================================================  Globals  ==================================================================

dwCount                &long
hKeyboard               long
hMouse                  long
hFileMapp               long

WH_KEYBOARD             equate (2)
WH_MOUSE                equate (7)      

INVALID_HANDLE_VALUE    equate (-1)
FILE_MAP_ALL_ACCESS     equate (00F001Fh)
PAGE_READWRITE          equate (0000004h)
!==================================================  End Globals  ============================================================


!==================================================  Global Functions =======================================================

MyMouseHook  procedure (long nCode, long wParam, long lParam) ! , pascal, long
  code
  CHook.GetIdleTime (true)
  return CallNextHookEx (hMouse, nCode, wParam, lParam)

MyKeyboardHook procedure (long nCode, long wParam, long lParam) ! , pascal, long
  code
  CHook.GetIdleTime (true)
  return CallNextHookEx (hKeyboard, nCode, wParam, lParam)

!================================================  End Global Functions =====================================================


!==================================================  CFileMapping ===========================================================
CFileMapping.Construct Procedure
  code
  self.initialized  = false
  self.hFilemap     = 0
  self.pLong        = 0

CFileMapping.Init Procedure (string par:szName, long par:lSize) ! , long, proc
loc:name cstring(20)
  code
  loc:name      = par:szName
  self.hFileMap = CreateFileMappingA (INVALID_HANDLE_VALUE, 0, PAGE_READWRITE, 0, par:lSize, address(loc:name))
  ! You should test the return value here before returning it : )
  self.pLong    = MapViewOfFile (self.hFileMap, FILE_MAP_ALL_ACCESS, 0, 0, 0)
  self.initialized = true
  return (0)

CFileMapping.GetIdleTime Procedure () ! , long, proc
  code
  return (self.pLong)

CFileMapping.kill Procedure () !, byte, proc
  code 
  return CloseHandle (self.hFileMap)

!==================================================  End CFileMapping ===========================================================


!==================================================  CHook ======================================================================
CHook.Init Procedure
hInst long
loc:dll cstring(20)
  code
  loc:dll = 'dll32.dll'
  hInst = GetModuleHandle (address(loc:dll))
  hKeyBoard = SetWindowsHookEx (2, address (MyKeyboardHook), hInst, 0)
  hMouse    = SetWindowsHookEx (7, address (MyMouseHook), hInst, 0)
  return TRUE

CHook.GetIdleTime procedure (byte par:update)
  code
  if ~CFileMapping.initialized
      CFileMapping.init('MyFileMapping', size(dwcount))
  end
  dwCount &= CFileMapping.GetIdleTime ()
  if par:update then dwCount = GetTickCount() .
  return dwCount

CHook.kill  Procedure
  code
  if UnhookWindowsHookEx (hKeyboard) then .
  if UnhookWindowsHookEx (hMouse) then .
  return TRUE

!==================================================  End CHook ==================================================================