  member

    map
    end 

    include('FileManD.inc'),once


FileManagerDelete.SetDeletedField procedure(*? Fld)
! set the field to be used as the deleted flag and the

  code

  Self.DeleteField &= Fld

  return
! end SetDeleteField ---------------------------------------------------------------

FileManagerDelete.DeleteRecord PROCEDURE(BYTE Query=1) !BYTE,PROC,VIRTUAL
! mark the record as deleted

  code

  Self.DeleteField = true
  put(Self.File)

  return Level:Benign

! end DeletedRecord ---------------------------------------------------------------------

FileManagerDelete.Deleted PROCEDURE !BYTE,VIRTUAL
! if the record has been marked then return Level:Fatal, if not marked then Level:Benign

  code

  return choose(Self.DeleteField, Level:Fatal, Level:Benign)
  
! end Deleted ------------------------------------------------------------------------------

BrowseFilterDeletedclass.SetFilterField  procedure(string Fld)
! point the Fmd property to the FilemanagerDelete class
! assign the local field for the SetQueueRecord method

  code

  Self.DeleteFieldStr = Fld

  return
! end InitRmd --------------------------------------------------------------------------

BrowseFilterDeletedClass.SetDeletedFilter procedure(byte OnOff = true)
! filter dleted records,  filter expresion will be '~Pre:FieldName'
! the flag is a boolean true or false

  code

  if (OnOff)
    Self.SetFilter('~' & clip(Self.DeleteFieldStr), DeletedPriority)
  else
    Self.SetFilter('', DeletedPriority)
  end

  return
! end SetDeletedFilter ------------------------------------------------------------------
