#TEMPLATE(FieldMgr, 'File access for OOPS'),FAMILY('ABC')
#!
#!
#!
#EXTENSION(FldMgrTpl, 'File Access for Classes'),Multi,Description('For file '&%TargetFile)
 #BOXED('SET UP Instructions')
 #Prompt('Pick a file:',File),%TargetFile
 #EndBoxed
#!
#!
#!
#AtStart
#Declare(%VC)
#Declare(%ThisClass)
#Set(%ThisClass,%TargetFile & 'FileCL')
#endat

#At(%AFTERGLOBALINCLUDES)
    Include('FldMgrCl.INC'),once
#EndAt

#AT(%LocalDataClasses)
%ThisClass  FldMgrClType
#endAt

#At( %WindowManagerMethodCodeSection,'Init','(),BYTE'),Priority(7800)
   #Fix(%File,%TargetFile)
   Access:%TargetFile.UseFile()
   %ThisClass.Init()
   %ThisClass.AddFile(%TargetFile, %FilePrefix:Record)
   %ThisClass.AddManagers(Access:%TargetFile, Relate:%TargetFile)
   #For(%Key)
   %ThisClass.AddKey('%Key',%KEY)
   #EndFor
   #For(%Field)
   #IF(~%FieldID or Upper(%FieldType)='GROUP')
     #Cycle
   #endif
   %ThisClass.AddField('%FieldID', %Field) !%FieldType
   #EndFor
#Endat

#AT(%WindowManagerMethodCodeSection,'Kill','(),BYTE'),PRIORITY(6500)
  %ThisClass.Kill()
#EndAt