      Member()
_ABCDllMode_  EQUATE(0)
_ABCLinkMode_ EQUATE(1)

      Include('Equates.CLW')
      Include('TplEqu.CLW')
      Include('Keycodes.CLW')
      Include('Errors.CLW')
      Map
      End ! map
      Include('Calc.inc')
!-----------------------------------------------------------------------------------

Calc.Init            PROCEDURE                        ! Declare Procedure
Number     STRING(15)                                !must be a string
Operand    REAL
Memory     REAL
Operation  REAL
NewNumber  BYTE
DecimalPoint    BYTE
Digit      BYTE

CalculatorS WINDOW('Calculator'),AT(80,7,127,119),IMM,ICON('calc.ico'),WALLPAPER('Clouds.wmf'),TILED,TIMER(100), |
         SYSTEM,GRAY,RESIZE,AUTO
       BUTTON('Copy'),AT(4,2,23,14),USE(?ClipB),SKIP,TIP('Copies the displayed number to the Clipboard')
       BUTTON('0'),AT(25,99,18,15),USE(?Zero),SKIP,FONT('Arial',11,,FONT:bold),KEY(KeyPad0)
       BUTTON('1'),AT(25,83,18,15),USE(?One),SKIP,FONT('Arial',11,,FONT:bold),KEY(KeyPad1)
       BUTTON('2'),AT(44,83,18,15),USE(?Two),SKIP,FONT('Arial',11,,FONT:bold),KEY(KeyPad2)
       BUTTON('3'),AT(63,83,18,15),USE(?Three),SKIP,FONT('Arial',11,,FONT:bold),KEY(KeyPad3)
       BUTTON('4'),AT(25,67,18,15),USE(?Four),SKIP,FONT('Arial',11,,FONT:bold),KEY(KeyPad4)
       BUTTON('5'),AT(44,67,18,15),USE(?Five),SKIP,FONT('Arial',11,,FONT:bold),KEY(KeyPad5)
       BUTTON('6'),AT(63,67,18,15),USE(?Six),SKIP,FONT('Arial',11,,FONT:bold),KEY(KeyPad6)
       BUTTON('7'),AT(25,51,18,15),USE(?Seven),SKIP,FONT('Arial',11,,FONT:bold),KEY(KeyPad7)
       BUTTON('8'),AT(44,51,18,15),USE(?Eight),SKIP,FONT('Arial',11,,FONT:bold),KEY(KeyPad8)
       BUTTON('9'),AT(63,51,18,15),USE(?Nine),SKIP,FONT('Arial',11,,FONT:bold),KEY(KeyPad9)
       BUTTON('.'),AT(63,99,18,15),USE(?DecimalPoint),SKIP,FONT('Arial',12,,FONT:bold),KEY(DecimalKey)
       BUTTON('C'),AT(94,34,29,15),USE(?Clear),SKIP,FONT('Arial',10,COLOR:Red,FONT:bold,CHARSET:ANSI), |
           TIP('Clear Calculation')
       BUTTON('Backspace'),AT(23,34,47,15),USE(?BSKey),SKIP,FONT('Arial',10,COLOR:Red,FONT:bold,CHARSET:ANSI), |
           TIP('Clear Last entered Number')
       BUTTON('CE'),AT(72,34,18,15),USE(?EClear),SKIP,FONT('Arial',10,COLOR:Red,FONT:bold,CHARSET:ANSI), |
           TIP('Clear Displayed Number')
       BUTTON('+/-'),AT(44,99,18,15),USE(?Sign),SKIP,FONT('Arial',10,,FONT:bold),TIP('Change Sign')
       BUTTON('x<178>'),AT(3,34,19,15),USE(?Square),SKIP,FONT('Arial',10,,FONT:bold),TIP('Square')
       BUTTON('Sqrt'),AT(104,51,19,15),USE(?Root),SKIP,FONT('Arial',8,,FONT:bold,CHARSET:ANSI),TIP('Square Root')
       BUTTON('1/x'),AT(104,83,19,15),USE(?Reciprical),SKIP,FONT('Arial',10,,FONT:bold),TIP('Reciprocal')
       BUTTON('%'),AT(104,67,19,15),USE(?Percent),SKIP,FONT('Arial',12,,FONT:bold),TIP('Percent')
       BUTTON('MC'),AT(3,51,19,15),USE(?MClear),SKIP,FONT('Arial',10,COLOR:Red,FONT:bold,CHARSET:ANSI), |
           TIP('Clears Number in  Memory')
       BUTTON('MR'),AT(3,67,19,15),USE(?Recall),SKIP,FONT('Arial',10,COLOR:Red,FONT:bold,CHARSET:ANSI), |
           TIP('Recalls Number in Memory')
       BUTTON('MS'),AT(3,83,19,15),USE(?Store),SKIP,FONT('Arial',10,COLOR:Red,FONT:bold,CHARSET:ANSI), |
           TIP('Stores the displayed number in Memory')
       BUTTON(' M+'),AT(3,99,19,15),USE(?Accumulate),SKIP,FONT('Arial',10,COLOR:Red,FONT:bold,CHARSET:ANSI), |
           TIP('Adds the displayed number to any number <13,10>already in Memory')
       BUTTON('+'),AT(84,99,18,15),USE(?Add),SKIP,FONT('Arial',12,COLOR:Red,FONT:bold,CHARSET:ANSI),TIP('Add'), |
           KEY(PlusKey)
       BUTTON('-'),AT(84,83,18,15),USE(?Subtract),SKIP,FONT('Arial',14,COLOR:Red,FONT:bold,CHARSET:ANSI), |
           TIP('Subtract'),KEY(MinusKey)
       BUTTON('*'),AT(84,67,18,15),USE(?Multiply),SKIP,FONT('Arial',14,COLOR:Red,FONT:bold,CHARSET:ANSI), |
           TIP('Multiply'),KEY(AstKey)
       BUTTON('/'),AT(84,51,18,15),USE(?Divide),SKIP,FONT('Arial',12,COLOR:Red,FONT:bold,CHARSET:ANSI), |
           TIP('Divide'),KEY(SlashKey)
       BUTTON('='),AT(104,99,19,15),USE(?Equal),SKIP,FONT('Arial',12,COLOR:Red,FONT:bold,CHARSET:ANSI), |
           KEY(EnterKey)
       ENTRY(@s15),AT(3,18,120,13),USE(Number),SKIP,RIGHT(3),FONT('Arial',14,,),INS
     END
!
  CODE
  OPEN(CalculatorS)
  NewNumber = True
  DecimalPoint = False
  Operation = ?Equal

!-----------------------------------------------------------------------------

 ACCEPT
    Display
    if NewNumber
       decit#=0
    end
    IF ACCEPTED()
       CASE ACCEPTED()                !This case handle the input of digits and other keys that does not require calculation

         OF ?Zero TO ?nine
            Digit = ACCEPTED() - ?Zero
            IF NewNumber
               if decimalPoint
                  number = '.' & digit
                  NewNumber = False
                  Decit# = 1
               ELSE
                 Number = Digit
                 NewNumber = False
                 DecimalPoint = False
               END
            ELSE
               IF DecimalPoint
                  IF Decit# = 0
                     Number = Clip(Number) & '.' & Digit
                     Decit# = 1
                  Else
                     number = clip(number) & digit
                  end
               else
                  number = number * 10 + Digit
               END
            END
            CYCLE

         OF ?BSKey
             Len# = LEN(CLIP(Number))
             IF SUB(Clip(Number),Len#,1) = '.'
                DecimalPoint = False
             End
             Number = SUB(Clip(Number),1,Len#-1)
             IF Number = 0
                Number = '0'
                DecimalPoint = False
             END
             Cycle

         OF ?DecimalPoint
            DecimalPoint = True
            CYCLE

         OF ?Clear
            IF NewNumber THEN
               Operation = ?Equal
            END
            Number = 0
            NewNumber = 0
            DecimalPoint = False

         OF ?EClear
            Number = 0
            NewNumber = False
            DecimalPoint = False
            Cycle

         OF ?Recall                         !Need to have it hear for MR after a divide (6 / MR = )
            Number = Memory
            Cycle

         OF ?ClipB
            setclipboard(Number)
            Cycle

       END

       IF Operation <> ?Equal               !When coming into the accept loop for first time operation is Equal - only change at next case accepted
          IF ACCEPTED() = ?Percent
             Number = Number * Operand / 100
             IF  (Operation <> ?Add )     |
             AND (Operation <> ?Subtract )
               Operation = ?Equal
             END
          END
          CASE Operation

            OF ?Add
               Number += Operand
            OF ?Subtract
               Number = Operand - Number
            OF ?Multiply
               Number *= Operand
            OF ?Divide
               IF Number <> 0 THEN
                  Number = Operand / Number
               END
          END
          Operation = ?Equal
       END

       CASE ACCEPTED()
         OF ?Sign
            Number *= -1
         OF ?Square
            Number *= Number
         OF ?Root
            Number = SQRT(Number)
         OF ?Reciprical
            IF Number <> 0 THEN
               Number = 1/Number
            END
         Of ?MClear
            Memory = 0
            Number = 0
            NewNumber = 0
            DecimalPoint = False
         OF ?Store
            Memory = Number
         OF ?Accumulate
            Memory += Number
         OF ?Add orof ?divide orof ?multiply orof ?subtract orof ?Percent
            Operation = ACCEPTED()
            Operand = Number
       END
       SELECT(?Zero)
       NewNumber = TRUE
       DecimalPoint = False
    END                      !End IF
 END                         !End ACCEPT
 Self.ReturnNumber = Number
 CLOSE(CalculatorS)           !Close calculater window
!------------------------------------------------------------------------------

