!ABCIncludeFile

 OMIT('_EndOfInclude_',_BLClassPresent_)     ! Omit this if already compiled
!-----------------------------------------------------------------------------!
! J&S BitList Class .9912
! Class Declaration
! Copyright (c) 1999 by J&S Software Co. (jeff@jssoftware.com)
!-----------------------------------------------------------------------------!
! The in-column tagging method as well as the icons have been
! borrowed (with permission) from Mike Hanson's SuperTagging templates.
!-----------------------------------------------------------------------------!
!The contents of this file are subject to the CoveComm Inc. Developers Open 
!Source Public License Version 1.0 (the "License"); you may not use this 
!product except in compliance with the License. You may obtain a copy of 
!the License at http://www.clarionmag.com/common/dospl.html. Software
!distributed under the License is distributed on an "AS IS" basis, WITHOUT 
!WARRANTY OF ANY KIND, either express or implied. See the License for the 
!specific language governing rights and limitations under the License. 
!The Original Code is Copyright (c) by J&S Software Co., released
!June 28, 1999. The Initial Developer of the Original Code is Jeff Slarve. 
!-----------------------------------------------------------------------------!
! Synopsis
!
! A quick and easy interface to the 32-bits available within a LONG integer.
! Allows the developer to quickly label each bit and present it to the user
! in the form of a psuedo "check box" instead of declaring a BYTE variable
! and populating a CHECK control for each switch.
!
! The number of records displayed in the listbox are dictated by two things:
!    1. The StartingBit
!    2. The number of items passed in the PARMS parameter of the INIT() method.
!
!-----------------------------------------------------------------------------!

_BLClassPresent_ Equate(1)

 Include('ABWindow.inc')

ParmQ      Queue,Type  !ParmQ
D            String(1) !Dummy
Icon         short
Desc         String(60)
SortDesc     String(60)
Bit          Byte
           end
BLClass    Class,Type,Module('BitList.clw'),LINK('BitList.clw',_ABCLinkMode_),DLL(_ABCDllMode_)
CheckBit     Procedure(Long Line),Byte
CheckBitStr  Procedure(String Desc,Byte Verbose=True),Byte
FlipBit      Procedure(Long Line)
FlipAll      Procedure
Init         Procedure(*Long BitMap,String Parms,Short FEQ,Byte StartBit=0,Byte ReadOnly_=False,Byte AllowCopy=True)
Init         Procedure(*Long BitMap,String Parms,Short FEQ,Byte StartBit=0,Byte ReadOnly_=False,Byte AllowCopy=True,WindowManager WM)
Kill         Procedure
ParseParms   Procedure,Private
MarkAll      Procedure
ReadBits     Procedure
SetClipBoard Procedure
SetReadOnly  Procedure(Byte ReadOnly_=True)
TakeEvent    Procedure,Byte
UnMarkAll    Procedure
Parms        String(1920),Private
AllowCopy    Byte                                     !A property that can be set to TRUE to allow user to copy selected label to the clipboard
BitMap       &Long
BitString    String(32)
BlankBit     String(1)
SaveBitMap   Long
Records      Long
FEQ          Short,Private
StartBit     Byte,Private
ParmQ        &ParmQ,Private
ReadOnly_    Byte,Private
WM           &WindowManager
           end

 _EndOfInclude_