// InstallHook.cpp : Defines the entry point for the application.
//

#include "stdafx.h"
#include "..\WinHookc.h" 
#include "..\resource.h" 

int WINAPI MyDialogFunc (HWND hwnd, UINT msg, UINT wParam, long lParam) ;


int APIENTRY WinMain(HINSTANCE hInstance,
                     HINSTANCE hPrevInstance,
                     LPSTR     lpCmdLine,
                     int       nCmdShow)
{
 	if (SetGlobalIdleHook ())
		DialogBox (hInstance, MAKEINTRESOURCE(IDD_DIALOG1), NULL, MyDialogFunc) ;
	return 0;
}  

int WINAPI MyDialogFunc (HWND hwnd, UINT msg, UINT wParam, long lParam)
{
	switch (msg)
	{
	case WM_INITDIALOG :
		SetTimer (hwnd, 1, 1000, NULL) ;
		return FALSE ; 
	case WM_TIMER:
		char szText[200] ;
		DWORD nsec = (GetTickCount()-GetLastInputTime())/1000;
		wsprintf (szText, "No mouse or keyboard input for %d seconds.",nsec);
		SetWindowText (hwnd, szText) ;
		return TRUE ; 
	}
	return FALSE ;
}


