
  MEMBER

  omit('***',_c55_)
_ABCDllMode_  EQUATE(0)
_ABCLinkMode_ EQUATE(1)
  ***


  MAP
  .
  INCLUDE('ccibrows.inc')
  include('keycodes.clw')


cciBrowseClass.RedisplayRecord PROCEDURE()
ChangeIt    byte(ChangeRecord)
Finished    byte(RequestCompleted)
   code
   self.ResetFromAsk(ChangeIt,Finished)

cciBrowseClass.Init                 procedure(FileManager LinkFM,Key LinkKey,*long LinkLeftField,*long LinkRightField,*long LeftPrimaryID,*long RightPrimaryID,*byte IconField)
ListControl    long

!FileManager LinkFM    ! File manager for linking file
!Key LinkKey           ! Primary key for linking file
!*long LinkLeftField   ! Linking file left field
!*long LinkRightField  ! Linking file right field
!*long LeftPrimaryID   ! Left file primary key field
!*long RightPrimaryID  ! Right file primary key field
!*byte IconField       ! Byte local for checkbox display

   code
   self.LinkFM &= LinkFM
   self.LinkKey &= LinkKey
   self.RightPrimaryID &= RightPrimaryID
   self.LeftPrimaryID &= LeftPrimaryID
   self.LinkLeftField &= LinkLeftField
   self.LinkRightField &= LinkRightField
   self.DataQ &= new DataQ
   self.IconField &= IconField
   !self.LeftValue = 0
   self.RetainRow = 1


cciBrowseClass.Kill                 procedure
   code
   free(self.DataQ)
   dispose(self.DataQ)
   parent.kill()

cciBrowseClass.Next PROCEDURE
  CODE
  free(self.DataQ)
  return(PARENT.Next())

cciBrowseClass.DebugMsg              procedure(String msg)
   code
   if self.Debug and ~(self.DebugQ &= null)
      self.DebugQ = msg
      add(self.DebugQ)
   end


cciBrowseClass.SetQueueRecord PROCEDURE()
   code
   self.DebugMsg('cciBrowseClass.SetQueueRecord (' & self.IconField & '/' & self.RightPrimaryID & ')')
   ! Look for the value in the queue
   if self.LeftPrimaryID > 0
      self.DataQ.ID = self.RightPrimaryID
      get(self.DataQ,self.DataQ.ID)
      if errorcode()
         self.LinkLeftField = self.LeftPrimaryID
         self.LinkRightField = self.RightPrimaryID
         self.DebugMsg(self.LinkLeftField & '/' & self.LinkRightField & '')
         if self.LinkFM.Fetch(self.LinkKey) = level:benign
            ! If not found, then get it from the data
            ! file
            self.IconField = 1
            self.DebugMsg(self.LinkLeftField & '/' & self.LinkRightField & ' FOUND ')
         else
            self.DebugMsg(self.LinkLeftField & '/' & self.LinkRightField & ' not found ')
            self.IconField = 0
         end
         ! Add this value to the queue
         self.DataQ.ID = self.RightPrimaryID
         self.DataQ.CurrValue = self.IconField
         self.DataQ.OrigValue = self.DataQ.CurrValue
         add(self.DataQ,self.DataQ.ID)
         self.DebugMsg('(' & self.IconField & '/' & self.RightPrimaryID & '/' & pointer(self.DataQ) & ') not found, adding new')
      else
         ! Get the value from the queue
         self.IconField = self.DataQ.CurrValue
         self.DebugMsg('(' & self.IconField & '/' & self.RightPrimaryID & '/' & pointer(self.DataQ) & ') found')
      end
   end
   parent.SetQueueRecord()


cciBrowseClass.TakeEvent PROCEDURE
lc    long
   code
   self.DebugMsg('field ' & field() & ', event ' & event() & ', keycode ' & keycode())
  compile('***',_c55_)
   lc = self.ilc.getControl()
  ***
  omit('***',_c55_)
   lc = self.ListControl
  ***
   if field() = lc and event() = event:Accepted |
     and keycode() = MouseLeft |
     and lc{proplist:mouseuprow} = lc{proplist:mousedownrow} |
     and lc{proplist:mouseupfield} = lc{proplist:mousedownfield} |
     and lc{proplist:mousedownfield} = 1
      ! Get the current record
      self.UpdateViewRecord()
      ! Update the buffer
      self.UpdateBuffer()
      if (self.IconField)
         ! If the link exists, remove it
         self.LinkLeftField = self.LeftPrimaryID
         self.LinkRightField = self.RightPrimaryID
         self.DebugMsg(self.LinkLeftField & '/' & self.LinkRightField & '')
         if self.LinkFM.Fetch(self.LinkKey) = level:benign
            self.DebugMsg('** deleted *** (' & self.IconField & '/' & self.RightPrimaryID & ')')
           compile('***',_c55_)
            self.linkFM.DeleteRecord(0)
           ***
           omit('***',_c55_)
            delete(self.LinkFM.File)
           ***
         end
      else
         !  Create the link
         self.LinkLeftField = self.LeftPrimaryID
         self.LinkRightField = self.RightPrimaryID
         self.LinkFM.TryInsert()
         self.DebugMsg('** added *** (' & self.IconField & '/' & self.RightPrimaryID & ')')

      end
      self.RedisplayRecord()
   end

   parent.TakeEvent()

