class TwoSignedInterface
{
public:
  virtual signed getSignedA() = 0;
  virtual signed getSignedB() = 0;
};

extern "C" signed clwAddTwoSigned(TwoSignedInterface *tsi);

class TestClass : public TwoSignedInterface
{
public:
  virtual signed getSignedA();
  virtual signed getSignedB();

  signed A;
  signed B;
};

extern "C" signed main()
{
  TestClass tst;
  tst.A = 13;
  tst.B = 11;
  signed retVal = clwAddTwoSigned(&tst);
  return 0;
}

signed TestClass::getSignedA()
{
  return A;
}

signed TestClass::getSignedB()
{
  return B;
}
